<?php

#################################################################################
#    PHP-RESIDENCE
#    Copyright (C) 2001-2006 by Marco Maria Francesco De Santis (marco@digitaldruid.net)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#################################################################################

$pag = "clienti.php";
$titolo = "Clienti";

include("./dati/dati_connessione.php");
include("./includes/funzioni_$PHPR_DB_TYPE.php");
$numconnessione = connetti_db($PHPR_DB_NAME,$PHPR_DB_HOST,$PHPR_DB_PORT,$PHPR_DB_USER,$PHPR_DB_PASS,$PHPR_LOAD_EXT);
include("./includes/funzioni.php");
include("./dati/lingua.php");

$id_utente = controlla_login($numconnessione,$PHPR_TAB_PRE,$id_sessione,$nome_utente_phpr,$password_phpr,$anno);
if ($id_utente) {

if ($id_utente != 1) {
$tableprivilegi = $PHPR_TAB_PRE."privilegi";
$privilegi_annuali_utente = esegui_query("select * from $tableprivilegi where idutente = '$id_utente' and anno = '$anno'");
if (numlin_query($privilegi_annuali_utente) == 0) $anno_utente_attivato = "NO";
else {
$anno_utente_attivato = "SI";
$privilegi_globali_utente = esegui_query("select * from $tableprivilegi where idutente = '$id_utente' and anno = '1'");
$priv_mod_pers = risul_query($privilegi_globali_utente,0,priv_mod_pers);
if (substr($priv_mod_pers,0,1) != "s") $modifica_pers = "NO";
$priv_ins_clienti = risul_query($privilegi_globali_utente,0,priv_ins_clienti);
if (substr($priv_ins_clienti,0,1) == "s") $inserimento_nuovi_clienti = "SI";
else $inserimento_nuovi_clienti = "NO";
if (substr($priv_ins_clienti,1,1) == "s") $modifica_clienti = "SI";
if (substr($priv_ins_clienti,1,1) == "p") $modifica_clienti = "PROPRI";
if (substr($priv_ins_clienti,1,1) != "s" and substr($priv_ins_clienti,1,1) != "p") $modifica_clienti = "NO";
if (substr($priv_ins_clienti,2,1) == "s") $vedi_clienti = "SI";
if (substr($priv_ins_clienti,2,1) == "p") $vedi_clienti = "PROPRI";
if (substr($priv_ins_clienti,2,1) != "s" and substr($priv_ins_clienti,2,1) != "p") $vedi_clienti = "NO";
$prefisso_clienti = risul_query($privilegi_globali_utente,0,prefisso_clienti);
$attiva_prefisso_clienti = substr($prefisso_clienti,0,1);
if ($attiva_prefisso_clienti != "n") {
$prefisso_clienti = explode(",",$prefisso_clienti);
$prefisso_clienti = $prefisso_clienti[1];
} # fine if ($prefisso_clienti != "n")
$regole1_consentite = risul_query($privilegi_annuali_utente,0,regole1_consentite);
$attiva_regole1_consentite = substr($regole1_consentite,0,1);
$applica_regole1 = substr($regole1_consentite,1,1);
if ($attiva_regole1_consentite != "n" or $applica_regole1 == "n") $regole1_consentite = explode("#@^",substr($regole1_consentite,3));
$tariffe_consentite = risul_query($privilegi_annuali_utente,0,tariffe_consentite);
$attiva_tariffe_consentite = substr($tariffe_consentite,0,1);
if ($attiva_tariffe_consentite == "s") {
$tariffe_consentite = explode(",",substr($tariffe_consentite,2));
unset($tariffe_consentite_vett);
for ($num1 = 0 ; $num1 < count($tariffe_consentite) ; $num1++) if ($tariffe_consentite[$num1]) $tariffe_consentite_vett[$tariffe_consentite[$num1]] = "SI";
} # fine if ($attiva_tariffe_consentite == "s")
$priv_ins_prenota = risul_query($privilegi_annuali_utente,0,priv_ins_prenota);
$priv_ins_nuove_prenota = substr($priv_ins_prenota,0,1);
$priv_ins_assegnazione_app = substr($priv_ins_prenota,1,1);
$priv_ins_num_persone = substr($priv_ins_prenota,7,1);
$priv_ins_periodi_passati = substr($priv_ins_prenota,8,1);
$priv_ins_multiple = substr($priv_ins_prenota,9,1);
} # fine else if (numlin_query($privilegi_annuali_utente) == 0)
$tableutenti = $PHPR_TAB_PRE."utenti";
$nome_utente = esegui_query("select * from $tableutenti where idutenti = '$id_utente'");
$nome_utente = risul_query($nome_utente,0,nome_utente);
} # fine if ($id_utente != 1)
else {
$anno_utente_attivato = "SI";
$modifica_pers = "SI";
$inserimento_nuovi_clienti = "SI";
$modifica_clienti = "SI";
$vedi_clienti = "SI";
$attiva_prefisso_clienti = "n";
$attiva_regole1_consentite = "n";
$applica_regole1 = "s";
$attiva_tariffe_consentite = "n";
$priv_ins_nuove_prenota = "s";
$priv_ins_assegnazione_app = "s";
$priv_ins_num_persone = "s";
$priv_ins_periodi_passati = "s";
$priv_ins_multiple = "s";
} # fine else if ($id_utente != 1)

if (defined("C_MASSIMO_NUM_CLIENTI") and C_MASSIMO_NUM_CLIENTI != 0) {
$tableclienti = $PHPR_TAB_PRE."clienti";
$num_clienti_esistenti = esegui_query("select idclienti from $tableclienti");
$num_clienti_esistenti = numlin_query($num_clienti_esistenti);
if ($num_clienti_esistenti >= C_MASSIMO_NUM_CLIENTI) $inserimento_nuovi_clienti = "NO";
} # fine if (defined("C_MASSIMO_NUM_CLIENTI") and C_MASSIMO_NUM_CLIENTI != 0)

if ($anno_utente_attivato == "SI") {


if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/head.php");
else include("./includes/head.php");


if ($id_utente != 1 or controlla_num_pos($id_utente_ins) == "NO" or $id_utente_ins == "") $id_utente_ins = $id_utente;

if (@get_magic_quotes_gpc()) $cognome = stripslashes($cognome);
$cognome = htmlspecialchars($cognome);
if (@get_magic_quotes_gpc()) $cognome2 = stripslashes($cognome2);
$cognome2 = htmlspecialchars($cognome2);
if (@get_magic_quotes_gpc()) $citta = stripslashes($citta);
$citta = htmlspecialchars($citta);
if (@get_magic_quotes_gpc()) $nazione = stripslashes($nazione);
$nazione = htmlspecialchars($nazione);
if (@get_magic_quotes_gpc()) $nomevia = stripslashes($nomevia);
$nomevia = htmlspecialchars($nomevia);
if (@get_magic_quotes_gpc()) $nome = stripslashes($nome);
$nome = htmlspecialchars($nome);
if (@get_magic_quotes_gpc()) $nome2 = stripslashes($nome2);
$nome2 = htmlspecialchars($nome2);
if (@get_magic_quotes_gpc()) $commento = stripslashes($commento);
$commento = htmlspecialchars($commento);
unset($manda_cognome);
unset($lista_app_copia);
unset($assegnazioneapp_copia);
unset($spostamenti_transazione);

$dati_transazione = recupera_dati_transazione($id_transazione,$id_sessione,$anno,"SI",$tipo_transazione);



# cose da fare se si viene da prenota.php
if ($nuovaprenotazione) {

if ($priv_ins_multiple != "s") {
$num_tipologie = 1;
$num_app_richiesti1 = 1;
} # fine if ($priv_ins_multiple != "s")
if (!$num_tipologie or controlla_num_pos($num_tipologie) == "NO" or $num_tipologie == 0 or $num_tipologie > 999) $num_tipologie = 1;
include("./includes/liberasettimane.php");


include("./includes/sett_gio.php");
$tableperiodi = $PHPR_TAB_PRE."periodi".$anno;
$tableprenota = $PHPR_TAB_PRE."prenota".$anno;
$tablenometariffe = $PHPR_TAB_PRE."ntariffe".$anno;
$tableregole = $PHPR_TAB_PRE."regole".$anno;
$tableversioni = $PHPR_TAB_PRE."versioni";
$tableappartamenti = $PHPR_TAB_PRE."appartamenti";
$tableclienti = $PHPR_TAB_PRE."clienti";
$tabletransazioni = $PHPR_TAB_PRE."transazioni";
$tablepersonalizza = $PHPR_TAB_PRE."personalizza";
$tablecostiprenota = $PHPR_TAB_PRE."costiprenota".$anno;
$tablemessaggi = $PHPR_TAB_PRE."messaggi";
$stile_data = stile_data();

if ($aggiungi_tipologie) {
$manda_dati_assegnazione = "SI";
$mostra_form_dati_cliente = "NO";
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"$origine\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">";
for ($n_t = 1 ; $n_t <= $num_tipologie ; $n_t++) {
echo "<input type=\"hidden\" name=\"num_piano$n_t\" value=\"".${"num_piano".$n_t}."\">
<input type=\"hidden\" name=\"num_casa$n_t\" value=\"".${"num_casa".$n_t}."\">
<input type=\"hidden\" name=\"num_persone_casa$n_t\" value=\"".${"num_persone_casa".$n_t}."\">";
${"inizioperiodo".$n_t} = str_replace("'","",${"inizioperiodo".$n_t});
${"fineperiodo".$n_t} = str_replace("'","",${"fineperiodo".$n_t});
$idinizioperiodo = esegui_query("select idperiodi from $tableperiodi where datainizio = '".${"inizioperiodo".$n_t}."' ");
if (numlin_query($idinizioperiodo) == 1) ${"inizioperiodo".$n_t} = risul_query($idinizioperiodo,0,idperiodi);
$idfineperiodo = esegui_query("select idperiodi from $tableperiodi where datafine = '".${"fineperiodo".$n_t}."' ");
$num_idfineperiodo = numlin_query($idfineperiodo);
if (numlin_query($idfineperiodo) == 1) ${"fineperiodo".$n_t} = risul_query($idfineperiodo,0,idperiodi);
} # fine for $n_t
include("./includes/dati_form_prenotazione.php");
echo mex("Nº di tipologie da aggiungere",$pag).":";
echo "<input type=\"text\" name=\"num_tipologie_da_aggiungere\" size=\"2\" maxlength=\"2\" value =\"1\">
<input class=\"sbutton\" type=\"submit\" name=\"agg_tip\" value=\"".mex("Aggiungi",$pag)."\">
</form>
<form accept-charset=\"utf-8\" method=\"post\" action=\"$origine\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">";
for ($n_t = 1 ; $n_t <= $num_tipologie ; $n_t++) {
echo "<input type=\"hidden\" name=\"num_piano$n_t\" value=\"".${"num_piano".$n_t}."\">
<input type=\"hidden\" name=\"num_casa$n_t\" value=\"".${"num_casa".$n_t}."\">
<input type=\"hidden\" name=\"num_persone_casa$n_t\" value=\"".${"num_persone_casa".$n_t}."\">";
} # fine for $n_t
include("./includes/dati_form_prenotazione.php");
echo "<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Torna indietro",$pag)."\">
</form>";
} # fine if ($aggiungi_tipologie)

else {

$inseriscicliente = "SI";


if ($nuovaprenotazione != "Continua lo stesso") {

$sconto = formatta_soldi($sconto);
$caparra = formatta_soldi($caparra);

# la versione da utilizzare per la transazione che rimane se si devono usare gli app_agenzia
$tabelle_lock = array("$tableversioni");
$tabelle_lock = lock_tabelle($tabelle_lock);
$versione_transazione = prendi_numero_versione($tableversioni);
unlock_tabelle($tabelle_lock);

# Controllo che non si inseriscano prenotazioni nell'anno successivo se esistente
unset($data_in_anno_succ);
for ($n_t = 1 ; $n_t <= $num_tipologie ; $n_t++) {
$fineperiodo = addslashes(${"fineperiodo".$n_t});
if (substr($fineperiodo,0,4) != $anno) {
$anno_succ_esistente = esegui_query("select idanni from $tableanni where idanni = '".($anno + 1)."'");
if (numlin_query($anno_succ_esistente) == 1) {
$data_succ_esistente = esegui_query("select idperiodi from $PHPR_TAB_PRE"."periodi".($anno + 1)." where datafine <= '$fineperiodo'");
if (numlin_query($data_succ_esistente) >= 1) $data_in_anno_succ[$n_t] = "SI";
} # fine if (numlin_query($anno_succ_esistente) == 1)
} # fine if (substr($fineperiodo,0,4) != $anno)
} # fine for $n_t

# inizio il blocco dei controlli per l'assegnazione
$tabelle_lock = array("$tableprenota","$tabletransazioni");
$altre_tab_lock = array("$tablecostiprenota","$tablenometariffe","$tableperiodi","$tableappartamenti","$tableclienti","$tableregole","$tablepersonalizza","$tablemessaggi");
$tabelle_lock = lock_tabelle($tabelle_lock,$altre_tab_lock);

if ($inserire) {
$inseriscicliente = "";
} # fine if ($inserire)
$appartamenti = esegui_query(" select * from $tableappartamenti ");
$numappartamenti = numlin_query($appartamenti);
$id_app_richiesti = 0;
unset($assegnazioneapp);
unset($app_richiesti);
unset($idinizioperiodo_vett);
unset($idfineperiodo_vett);
unset($idinizioperiodo_tot);
unset($idfineperiodo_tot);

unset ($num_costi_presenti);

include("./includes/funzioni_costi_agg.php");
$dati_ca = dati_costi_agg_ntariffe ($tablenometariffe,"");

for ($n_t = 1 ; $n_t <= $num_tipologie ; $n_t++) {
${"inizioperiodo".$n_t} = addslashes(${"inizioperiodo".$n_t});
${"fineperiodo".$n_t} = addslashes(${"fineperiodo".$n_t});
${"nometipotariffa".$n_t} = addslashes(${"nometipotariffa".$n_t});
${"appartamento".$n_t} = addslashes(${"appartamento".$n_t});
${"lista_app".$n_t} = addslashes(${"lista_app".$n_t});
${"num_piano".$n_t} = addslashes(${"num_piano".$n_t});
${"num_casa".$n_t} = addslashes(${"num_casa".$n_t});
${"num_persone_casa".$n_t} = addslashes(${"num_persone_casa".$n_t});
$inizioperiodo = ${"inizioperiodo".$n_t};
$fineperiodo = ${"fineperiodo".$n_t};
$nometipotariffa = ${"nometipotariffa".$n_t};
$numpersone = ${"numpersone".$n_t};
$appartamento = ${"appartamento".$n_t};
$num_app_richiesti = ${"num_app_richiesti".$n_t};
$lista_app = ${"lista_app".$n_t};
$num_piano = ${"num_piano".$n_t};
$num_casa = ${"num_casa".$n_t};
$num_persone_casa = ${"num_persone_casa".$n_t};
for ($numca = 1 ; $numca <= $numcostiagg ; $numca++) {
${"costoagg".$numca} = addslashes(${"costoagg".$numca."_".$n_t});
${"idcostoagg".$numca} = addslashes(${"idcostoagg".$numca."_".$n_t});
${"numsettimane".$numca} = addslashes(${"numsettimane".$numca."_".$n_t});
${"nummoltiplica_ca".$numca} = addslashes(${"nummoltiplica_ca".$numca."_".$n_t});
${"id_periodi_costo".$numca} = addslashes(${"id_periodi_costo".$numca."_".$n_t});
} # fine for $numca
unset(${"spezzetta".$n_t});


$inizioperiodo_orig[$n_t] = $inizioperiodo;
$fineperiodo_orig[$n_t] = $fineperiodo;
$idinizioperiodo = esegui_query("select idperiodi from $tableperiodi where datainizio = '$inizioperiodo' ");
$num_idinizioperiodo = numlin_query($idinizioperiodo);
if ($num_idinizioperiodo == 0) { $idinizioperiodo = 10000; }
else { $idinizioperiodo = risul_query($idinizioperiodo,0,idperiodi); }
${"inizioperiodo".$n_t} = $idinizioperiodo;
if (!$idinizioperiodo_tot or $idinizioperiodo < $idinizioperiodo_tot) $idinizioperiodo_tot = $idinizioperiodo;
$idfineperiodo = esegui_query("select idperiodi from $tableperiodi where datafine = '$fineperiodo' ");
$num_idfineperiodo = numlin_query($idfineperiodo);
if ($num_idfineperiodo == 0) { $idfineperiodo = -1; }
else { $idfineperiodo = risul_query($idfineperiodo,0,idperiodi); }
${"fineperiodo".$n_t} = $idfineperiodo;
if (!$idfineperiodo_tot or $idfineperiodo > $idfineperiodo_tot) $idfineperiodo_tot = $idfineperiodo;
$app_diversi_occ = 0;

if ($priv_ins_periodi_passati != "s") {
$id_periodo_corrente = calcola_id_periodo_corrente ($anno);
if ($id_periodo_corrente >= $idinizioperiodo) $data_sbagliata = "SI";
} # fine if ($priv_ins_periodi_passati != "s")
if ($data_in_anno_succ[$n_t] == "SI") $data_sbagliata = "SI";

if ($modifica_pers == "NO") {
@include("./dati/selperiodimenu$anno.$id_utente.php");
if (!strpos($dates_options_list,$inizioperiodo)) $data_sbagliata = "SI";
if (!strpos($dates_options_list,$fineperiodo)) $data_sbagliata = "SI";
} # fine if ($modifica_pers == "NO")

if ($idfineperiodo < $idinizioperiodo or $data_sbagliata == "SI") {
$inserire = "NO";
echo mex("Le date sono sbagliate",$pag);
if ($num_tipologie > 1) echo " (".mex("tipologia",$pag)." $n_t)";
echo ".<br>";
} # fine if ($idfineperiodo < $idinizioperiodo or...

else {
if ($nometipotariffa == "") {
$inserire = "NO";
echo mex("Si deve inserire il tipo di tariffa",$pag);
if ($num_tipologie > 1) echo "(".mex("tipologia",$pag)." $n_t)";
echo ".<br>";
} # fine if ($nometipotariffa == "")

else {
if ($priv_ins_nuove_prenota != "s") $inserire = "NO";
$tipotariffa = $nometipotariffa;
$tipotariffa_vedi = mex("tariffa",$pag).substr($tipotariffa,7);
if (($attiva_tariffe_consentite == "s" and $tariffe_consentite_vett[substr($tipotariffa,7)] != "SI") or substr($tipotariffa,0,7) != "tariffa") $inserire = "NO";

if ($priv_ins_assegnazione_app != "s") {
unset($appartamento);
unset($lista_app);
unset($num_casa);
unset($num_piano);
unset($num_persone_casa);
} # fine if ($priv_ins_assegnazione_app != "s")

# se vi è una regola 2 per la tariffa
if (!$appartamento and !$lista_app and !$num_casa and !$num_piano and !$num_persone_casa) {
$regole2 = esegui_query("select * from $tableregole where tariffa_per_app != ''");
$num_regole2 = numlin_query($regole2);
for ($num1 = 0 ; $num1 < $num_regole2 ; $num1 = $num1 + 1) {
$tariffa_regola2 = risul_query($regole2,$num1,tariffa_per_app);
if ($tipotariffa == $tariffa_regola2) {
${"lista_app".$n_t} = risul_query($regole2,$num1,motivazione);
$lista_app = ${"lista_app".$n_t};
break;
} # fine if ($tipotariffa == $tariffa_regola2)
} # fine for $num1
} # fine if (!$appartamento and !$lista_app and !$num_casa and !$num_piano and !$num_persone_casa)

# se vi è una regola 3 per la tariffa
if ($id_utente == 1) {
$regole3 = esegui_query("select * from $tableregole where tariffa_per_utente = '$tipotariffa'");
if (numlin_query($regole3) == 1) {
$id_utente_ins_tariffa = risul_query($regole3,0,iddatainizio);
if ($n_t == 1) $id_utente_ins = $id_utente_ins_tariffa;
else if ($id_utente_ins != $id_utente_ins_tariffa) unset($id_utente_ins);
} # fine if numlin_query($regole3) == 1)
} # fine if ($id_utente == 1)

for ($num = $idinizioperiodo; $num <= $idfineperiodo; $num = $num + 1) {
$prenotazioni=esegui_query("select * from $tableprenota where iddatainizio <= $num and iddatafine >= $num");
$numprenotazioni = numlin_query($prenotazioni);
$rigasettimana = esegui_query("select * from $tableperiodi where idperiodi = '$num' ");
$esistetariffa = risul_query($rigasettimana,0,$tipotariffa);
if ($esistetariffa == "") {
$inserire = "NO";
$inizioperiodotariffa = risul_query($rigasettimana,0,datainizio);
$inizioperiodotariffa_f = formatta_data($inizioperiodotariffa,$stile_data);
$fineperiodotariffa = risul_query($rigasettimana,0,datafine);
$fineperiodotariffa_f = formatta_data($fineperiodotariffa,$stile_data);
echo mex("Non è stato ancora inserito il prezzo della",$pag)." $tipotariffa_vedi ".mex("per $parola_la $parola_settimana dal",$pag)." $inizioperiodotariffa_f ".mex("al",$pag)." $fineperiodotariffa_f";
if ($num_tipologie > 1) echo " (".mex("tipologia",$pag)." $n_t)";
echo ".<br>";
} # fine if ($esistetariffa == "")
if ($numprenotazioni >= $numappartamenti) {
$inserire = "NO";
$inizioperiodopieno = risul_query($rigasettimana,0,datainizio);
$inizioperiodopieno_f = formatta_data($inizioperiodopieno,$stile_data);
$fineperiodopieno = risul_query($rigasettimana,0,datafine);
$fineperiodopieno_f = formatta_data($fineperiodopieno,$stile_data);
echo mex("$parola_La $parola_settimana dal",$pag)." $inizioperiodopieno_f ".mex("al",$pag)." $fineperiodopieno_f ".mex("è pien$lettera_a",$pag);
if ($num_tipologie > 1) echo " (".mex("tipologia",$pag)." $n_t)";
echo ".<br>";
} # fine if ($numprenotazioni >= $numappartamenti)
} # fine for $num

} # fine else if ($tipotariffa == "")

if ($cognome == "") {
$inserire = "NO";
} # fine if ($cognome == "")


if ($priv_ins_num_persone != "s") unset($numpersone);
unset(${"num_letti_agg".$n_t});
unset($settimane_costo);
$num_costi_associati = 0;
$lunghezza_periodo = $idfineperiodo - $idinizioperiodo + 1;
for ($num1 = 0 ; $num1 < $dati_ca[num] ; $num1++) {
if ($dati_ca[$num1]["tipo_associa_".$nometipotariffa] == "s") {
if (associa_costo_a_tariffa($dati_ca,$num1,$nometipotariffa,$lunghezza_periodo) != "SI") {
$inserire = "NO";
echo mex("Il costo aggiuntivo",$pag)." \"".$dati_ca[$num1][nome]."\" ".mex("non può essere applicato",$pag);
if ($num_tipologie > 1) echo " (".mex("tipologia",$pag)." $n_t)";
echo ".<br>";
} # fine if (associa_costo_a_tariffa($dati_ca,$num1,$nometipotariffa,$lunghezza_periodo) != "SI")
$num_costi_associati++;
${"costoagg".($numcostiagg + $num_costi_associati)} = "SI";
${"idcostoagg".($numcostiagg + $num_costi_associati)} = $dati_ca[$num1][id];
} # fine if ($dati_ca[$num1]["tipo_associa_".$nometipotariffa] == "s" and...
} # fine for $num1
for ($numca = 1 ; $numca <= ($numcostiagg + $num_costi_associati) ; $numca++) {
$costoagg = "costoagg".$numca;
if ($$costoagg == "SI") {
$numsettimane = "numsettimane".$numca;
$nummoltiplica_ca = "nummoltiplica_ca".$numca;
$idcostoagg = "idcostoagg".$numca;
$id_periodi_costo = "id_periodi_costo".$numca;
if ($$numsettimane) {
if ($$numsettimane > $lunghezza_periodo) {
$inserire = "NO";
echo mex("Il numero di $parola_settimane del costo aggiuntivo $parola_settimanale nº",$pag)." $numca ".mex("supera il numero totale di $parola_settimane della prenotazione",$pag);
if ($num_tipologie > 1) echo " (".mex("tipologia",$pag)." $n_t)";
echo ".<br>";
} # fine if ($$numsettimane > $lunghezza_periodo)
} # fine if ($$numsettimane)
if (($$numsettimane and controlla_num_pos($$numsettimane) == "NO") or ($$nummoltiplica_ca and controlla_num_pos($$nummoltiplica_ca) == "NO")) {
$inserire = "NO";
echo mex("I dati di un costo aggiuntivo sono errati",$pag);
if ($num_tipologie > 1) echo " (".mex("tipologia",$pag)." $n_t)";
echo ".<br>";
} # fine if (controlla_num_pos($$numsettimane) == "NO" or...
$num_costo = $dati_ca[id][$$idcostoagg];
if ($dati_ca[$num_costo]["incomp_".$nometipotariffa] == "i") {
$inserire = "NO";
echo mex("Il costo aggiuntivo",$pag)." \"".$dati_ca[$num_costo][nome]."\" ".mex("è incompatibile con la tariffa selezionata",$pag);
if ($num_tipologie > 1) echo " (".mex("tipologia",$pag)." $n_t)";
echo ".<br>";
} # fine if ($dati_ca[$num_costo]["incompat_".$nometipotariffa] == "i")
$periodo_costo_trovato = trova_periodo_permesso_costo($dati_ca,$num_costo,$idinizioperiodo,$idfineperiodo,$$numsettimane);
if ($periodo_costo_trovato == "NO") {
$inserire = "NO";
echo mex("Non si puo inserire il costo aggiuntivo",$pag)." \"".$dati_ca[$num_costo][nome]."\" ".mex("in questo periodo",$pag);
if ($num_tipologie > 1) echo " (".mex("tipologia",$pag)." $n_t)";
echo ".<br>";
} # fine if ($periodo_costo_trovato == "NO")

if ($$id_periodi_costo == "inserire") {
$$id_periodi_costo = "";
for ($num1 = $idinizioperiodo; $num1 <= $idfineperiodo; $num1++) {
if (${"sett".$num1."costo".$numca."_".$n_t} == "SI") $$id_periodi_costo .= ",".$num1;
} # fine for $num1
if ($$id_periodi_costo) $$id_periodi_costo .= ",";
else $$id_periodi_costo = "nessuno";
${"id_periodi_costo".$numca."_".$n_t} = $$id_periodi_costo;
} # fine if ($$id_periodi_costo == "inserire")
if ($dati_ca[$num_costo][numsett] == "c" and $dati_ca[$num_costo][associasett] == "s" and $inserire != "NO" and !$$id_periodi_costo) {
$inserire = "NO";
echo "<hr align=\"left\" width=\"30%\">
".mex("Scegliere $parola_le $parola_settimane in cui applicare il costo aggiuntivo",$pag)." ".$dati_ca[$num_costo][nome];
if ($num_tipologie > 1) echo " (".mex("tipologia",$pag)." $n_t)";
echo ":<br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"clienti.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"origine\" value=\"$origine\">";
for ($num1 = $idinizioperiodo; $num1 <= $idfineperiodo; $num1++) ${"ck_sett".$num1} = "";
if ($idmessaggi) {
$id_periodi_mess = esegui_query("select dati_messaggio9,dati_messaggio10,dati_messaggio14 from $tablemessaggi where tipo_messaggio = 'rprenota' and idutenti $LIKE '%,$id_utente,%' and idmessaggi = '".addslashes($idmessaggi)."' ");
if (numlin_query($id_periodi_mess) == 1) {
$numcostiagg_mess = explode(",",risul_query($id_periodi_mess,0,dati_messaggio9));
$idcostoagg_mess = explode(";",risul_query($id_periodi_mess,0,dati_messaggio10));
$id_periodi_mess = explode(";",risul_query($id_periodi_mess,0,dati_messaggio14));
$numcostiagg_mess = $numcostiagg_mess[($n_t - 1)];
$idcostoagg_mess = explode(",",$idcostoagg_mess[($n_t - 1)]);
$id_periodi_mess = explode(":",$id_periodi_mess[($n_t - 1)]);
for ($numca_m = 1 ; $numca_m <= $numcostiagg_mess ; $numca_m++) {
if ($$idcostoagg == $idcostoagg_mess[($numca_m - 1)]) {
$id_periodi_mess = explode(",",$id_periodi_mess[($numca_m - 1)]);
for ($num_pm = 0 ; $num_pm < count($id_periodi_mess) ; $num_pm++) ${"ck_sett".$id_periodi_mess[$num_pm]} = " checked";
break;
} # fine ($$idcostoagg == $idcostoagg_mess[($numca_m - 1)])
} # fine for $numca_m
} # fine if (numlin_query($id_periodi_mess) == 1)
} # fine if ($idmessaggi)
for ($num1 = $idinizioperiodo; $num1 <= $idfineperiodo; $num1++) {
$periodo_costo_trovato = "NO";
if ($dati_ca[$num_costo][periodipermessi] == "p") {
for ($num2 = 0 ; $num2 < count($dati_ca[$num_costo][sett_periodipermessi_ini]) ; $num2++) {
if ($dati_ca[$num_costo][sett_periodipermessi_ini][$num2] <= $num1 and $dati_ca[$num_costo][sett_periodipermessi_fine][$num2] >= $num1) $periodo_costo_trovato = "SI";
} # fine for $num2
} # fine if ($dati_ca[$num_costo][periodipermessi] == "p")
else $periodo_costo_trovato = "SI";
if ($periodo_costo_trovato == "SI") {
$date_sett_costo = esegui_query("select datainizio,datafine from $tableperiodi where idperiodi = '$num1'");
echo "<input type=\"checkbox\" name=\"sett$num1"."costo$numca"."_$n_t\" value=\"SI\"".${"ck_sett".$num1}.">".mex("dal",$pag)."
 ".formatta_data(risul_query($date_sett_costo,0,datainizio),$stile_data)." ".mex("al",$pag)." 
 ".formatta_data(risul_query($date_sett_costo,0,datafine),$stile_data)."<br>";
} # fine if ($periodo_costo_trovato == "SI")
} # fine for $num1
${"id_periodi_costo".$numca."_".$n_t} = "inserire";
for ($n_t2 = 1 ; $n_t2 <= $n_t ; $n_t2++) {
${"inizioperiodo".$n_t2} = $inizioperiodo_orig[$n_t2];
${"fineperiodo".$n_t2} = $fineperiodo_orig[$n_t2];
} # fine for $n_t2
include("./includes/dati_form_prenotazione.php");
for ($n_t2 = 1 ; $n_t2 <= $n_t ; $n_t2++) {
${"inizioperiodo".$n_t2} = $idinizioperiodo;
${"fineperiodo".$n_t2} = $idfineperiodo;
} # fine for $n_t2
echo "<input type=\"hidden\" name=\"nuovaprenotazione\" value=\"SI\">
<input class=\"sbutton\" type=\"submit\" name=\"ins_nuova_prenota\" value=\"".mex("Continua",$pag)."\">
</form><hr align=\"left\" width=\"30%\">";
} # fine if ($dati_ca[$num_costo][numsett] == "c" and $dati_ca[$num_costo][associasett] == "s" and...
else {
$settimane_costo[$numca] = calcola_settimane_costo($tableperiodi,$dati_ca,$num_costo,$idinizioperiodo,$idfineperiodo,$$id_periodi_costo,$$numsettimane);
aggiorna_letti_agg_in_periodi($dati_ca,$num_costo,${"num_letti_agg".$n_t},$idinizioperiodo,$idfineperiodo,$settimane_costo[$numca],"",$$nummoltiplica_ca,$numpersone);
} # fine else if ($dati_ca[$num_costo][numsett] == "c" and $dati_ca[$num_costo][associasett] == "s" and...

if (($dati_ca[$num_costo][moltiplica] == "p" or $dati_ca[$num_costo][moltiplica] == "t") and !$numpersone) {
$inserire = "NO";
echo mex("Si deve inserire il numero delle persone per il costo aggiuntivo",$pag)." ".$dati_ca[$num_costo][nome];
if ($num_tipologie > 1) echo " (".mex("tipologia",$pag)." $n_t)";
echo ".<br>";
} # fine if (($dati_ca[$num1][moltiplica] == "p" or $dati_ca[$num1][moltiplica] == "t") and !$numpersone)
} # fine if ($$costoagg == "SI")
} # fine for $numca

if ($inserire != "NO") {
if ($num_app_richiesti > 1) $num_controlla_limite = $num_app_richiesti;
else $num_controlla_limite = 1;
for ($numca = 1 ; $numca <= ($numcostiagg + $num_costi_associati) ; $numca++) {
$costoagg = "costoagg".$numca;
if ($$costoagg == "SI") {
$nummoltiplica_ca = "nummoltiplica_ca".$numca;
$idcostoagg = "idcostoagg".$numca;
$num_costo = $dati_ca[id][$$idcostoagg];
calcola_moltiplica_costo($dati_ca,$num_costo,$moltiplica_costo,$idinizioperiodo,$idfineperiodo,$settimane_costo[$numca],$$nummoltiplica_ca,$numpersone,${"num_letti_agg".$n_t});
$limite_costo_raggiunto = "NO";
for ($num1 = 0 ; $num1 < $num_controlla_limite ; $num1++) if (controlla_num_limite_costo($tablecostiprenota,$tableprenota,$dati_ca,$num_costo,$num_costi_presenti,$idinizioperiodo,$idfineperiodo,$settimane_costo[$numca],$moltiplica_costo) == "NO") $limite_costo_raggiunto = "SI";
if ($limite_costo_raggiunto == "SI") {
$inserire = "NO";
if ($messaggio_costo_lim[$$idcostoagg] != "SI") {
$messaggio_costo_lim[$$idcostoagg] = "SI";
echo mex("Non si possono inserire altri costi",$pag)." ".$dati_ca[$num_costo][nome]." ".mex("in questo periodo, già",$pag)." ".$dati_ca[$num_costo][numlimite]." ".mex("presenti",$pag);
if ($num_tipologie > 1) echo " (".mex("tipologia",$pag)." $n_t)";
echo ".<br>";
} # fine if ($messaggio_costo_lim[$$idcostoagg] != "SI")
} # fine if ($limite_costo_raggiunto == "SI")
} # fine if ($$costoagg == "SI")
} # fine for $numca
} # fine if ($inserire != "NO")


${"app_richiesti".$n_t} = "";
if ($appartamento) {
$appartamento = addslashes($appartamento);
${"assegnazioneapp".$n_t} = "k";
${"app_richiesti".$n_t}[$appartamento] = "SI";
#$inserire = "NO";
#echo "L'appartamento $appartamento è già occupato nel periodo richiesto.<br>";
} # fine if ($appartamento)
else {
if ($lista_app) {
${"assegnazioneapp".$n_t} = "c";
$vett_app = explode(",",$lista_app);
$num_app = count($vett_app);
for ($num1 = 0 ; $num1 < $num_app ; $num1 = $num1 + 1) {
$appo = addslashes($vett_app[$num1]);
${"app_richiesti".$n_t}[$appo] = "SI";
$appartamento_esistente = esegui_query("select idappartamenti from $tableappartamenti where idappartamenti = '$appo'");
if (numlin_query($appartamento_esistente) != 1) {
$inserire = "NO";
echo mex("L'appartamento",$pag)." <font color=\"red\">$appo</font> ".mex("contenuto nella lista non esiste",$pag);
if ($num_tipologie > 1) echo " (".mex("tipologia",$pag)." $n_t)";
echo ".<br>";
} # fine if (numlin_query($appartamento_esistente) != 1)
} # fine for $num1
} # fine if ($lista_app)
else {
if ($num_piano or $num_casa or $num_persone_casa) {
${"assegnazioneapp".$n_t} = "c";
$query = "select idappartamenti from $tableappartamenti ";
if ($num_piano) {
$num_piano = addslashes($num_piano);
$query = $query."where numpiano = '$num_piano' ";
$where_immesso = "SI";
} # fine if ($num_piano)
if ($num_casa) {
$num_casa = addslashes($num_casa);
if ($where_immesso) $query = $query."and numcasa = '$num_casa' ";
else $query = $query."where numcasa = '$num_casa' ";
$where_immesso = "SI";
} # fine if ($num_casa)
if ($num_persone_casa) {
$num_persone_casa = addslashes($num_persone_casa);
if ($where_immesso) $query .= "and maxoccupanti = '$num_persone_casa' ";
else $query .= "where maxoccupanti = '$num_persone_casa' ";
} # fine if ($num_persone_casa)
$list_idapp_ric = esegui_query($query);
$num_app_ric = numlin_query($list_idapp_ric);
for ($num1 = 0 ; $num1 < $num_app_ric ; $num1 = $num1 + 1) {
$idapp_ric = risul_query($list_idapp_ric,$num1,idappartamenti);
${"app_richiesti".$n_t}[$idapp_ric] = "SI";
if (!${"lista_app".$n_t}) ${"lista_app".$n_t} = $idapp_ric;
else ${"lista_app".$n_t} = ${"lista_app".$n_t}.",".$idapp_ric;
} # fine for $num1
if ($num_app_ric == 0) {
$inserire = "NO";
echo mex("Non ci sono appartamenti con le caratteristiche richieste",$pag);
if ($num_tipologie > 1) echo " (".mex("tipologia",$pag)." $n_t)";
echo ".<br>";
} # fine if ($num_app_ric == 0)
} # fine if ($num_piano or $num_casa or $num_persone_casa)
else ${"assegnazioneapp".$n_t} = "v";
} # fine else if ($lista_app)
} # fine else if ($appartamento)

if (controlla_num_pos($num_app_richiesti) == "NO" or $num_app_richiesti == 0 or strlen($num_app_richiesti) > 3) {
$inserire = "NO";
echo mex("Il numero di prenotazioni è sbagliato",$pag);
if ($num_tipologie > 1) echo " (".mex("tipologia",$pag)." $n_t)";
echo ".<br>";
} # fine if (controlla_num_pos($num_app_richiesti) == "NO" or $num_app_richiesti == 0 or strlen($num_app_richiesti) > 3))

if ($attiva_regole1_consentite == "s") {
unset($condizioni_regole1_consentite);
unset($app_richiesti_copia);
unset(${"lista_app".$n_t});
if (${"assegnazioneapp".$n_t} == "v") ${"assegnazioneapp".$n_t} = "c";
for ($num1 = 0 ; $num1 < count($regole1_consentite) ; $num1++) if ($regole1_consentite[$num1]) $condizioni_regole1_consentite .= "motivazione = '".$regole1_consentite[$num1]."' or ";
if (!$condizioni_regole1_consentite) {
echo mex("Non c'è nussun periodo delle regole 1 in cui sia consentito inserire prenotazioni per l'utente",$pag)." $nome_utente.<br>";
$inserire = "NO";
} # fine if (!$condizioni_regole1_consentite)
else {
$condizioni_regole1_consentite = "(".str_replace("motivazione = ' '","motivazione = '' or motivazione is null",substr($condizioni_regole1_consentite,0,-4)).")";
$app_richiesti_copia = ${"app_richiesti".$n_t};
$posti = 0;
for ($num1 = 0 ; $num1 < $numappartamenti ; $num1++) {
$idapp = risul_query($appartamenti,$num1,idappartamenti);
if (!$app_richiesti_copia or $app_richiesti_copia[$idapp] == "SI") {
$appartamento_consentito = esegui_query("select idregole,iddatainizio,iddatafine from $tableregole where app_agenzia = '$idapp' and iddatainizio <= '$idfineperiodo' and iddatafine >= '$idinizioperiodo' and $condizioni_regole1_consentite order by iddatainizio");
unset($iddatainizio_regole_tot);
unset($iddatafine_regole_tot);
for ($num2 = 0 ; $num2 < numlin_query($appartamento_consentito) ; $num2++) {
$iddatainizio_regola = risul_query($appartamento_consentito,$num2,iddatainizio);
$iddatafine_regola = risul_query($appartamento_consentito,$num2,iddatafine);
if ($num2 == 0) {
$iddatainizio_regole_tot = $iddatainizio_regola;
$iddatafine_regole_tot = $iddatafine_regola;
} # fine if ($num2 == 0)
else {
if ($iddatainizio_regola == ($iddatafine_regole_tot + 1)) $iddatafine_regole_tot = $iddatafine_regola;
else break;
} # fine else if ($num2 == 0)
} # fine for $num2
if (numlin_query($appartamento_consentito) > 0 and $iddatainizio_regole_tot <= $idinizioperiodo and $iddatafine_regole_tot >= $idfineperiodo) {
${"app_richiesti".$n_t}[$idapp] = "SI";
$posti++;
${"lista_app".$n_t} .= $idapp.",";
} # fine if (numlin_query($appartamento_consentito) > 0 and...)
else ${"app_richiesti".$n_t}[$idapp] = "NO";
} # fine if (!$app_richiesti_copia or $app_richiesti_copia[$idapp] == "SI")
} # fine for $num1
${"lista_app".$n_t} = substr(${"lista_app".$n_t},0,-1);
if ($posti == 0) {
echo mex("Non c'è nessun appartamento tra quelli richiesti in cui sia consentito inserire prenotazioni per l'utente",$pag)." $nome_utente";
if ($num_tipologie > 1) echo " (".mex("tipologia",$pag)." $n_t)";
echo ".<br>";
$inserire = "NO";
} # fine if ($posti == 0)
else {
if ($posti < $num_app_richiesti) {
echo mex("Non ci sono",$pag)." $num_app_richiesti ".mex("appartamenti tra quelli richiesti in cui sia consentito inserire prenotazioni per l'utente",$pag)." $nome_utente";
if ($num_tipologie > 1) echo " (".mex("tipologia",$pag)." $n_t)";
echo ".<br>";
$inserire = "NO";
} # fine if ($posti < $num_app_richiesti)
} # fine else if ($posti == 0)
} # fine else if (!$condizioni_regole1_consentite)
if ($inserire == "NO" and $app_richiesti_copia) ${"app_richiesti".$n_t} = $app_richiesti_copia;
} # fine if ($attiva_regole1_consentite == "s")

if ($numpersone) {
if (controlla_num_pos($numpersone) == "NO") {
$inserire = "NO";
echo mex("Il numero di persone è sbagliato",$pag);
if ($num_tipologie > 1) echo " (".mex("tipologia",$pag)." $n_t)";
echo ".<br>";
} # fine if (controlla_num_pos($numpersone) == "NO")
$app_richiesti_copia = ${"app_richiesti".$n_t};
$posti = 0;
for ($num1 = 0 ; $num1 < $numappartamenti ; $num1 = $num1 + 1) {
$idapp = risul_query($appartamenti,$num1,idappartamenti);
if (!$app_richiesti_copia or $app_richiesti_copia[$idapp] == "SI") {
$maxoccupanti = risul_query($appartamenti,$num1,maxoccupanti);
if ($maxoccupanti and $maxoccupanti < $numpersone) {
${"app_richiesti".$n_t}[$idapp] = "NO";
} # fine if ($maxoccupanti and $maxoccupanti < $numpersone)
else {
${"app_richiesti".$n_t}[$idapp] = "SI";
$posti++;
} # fine else if ($maxoccupanti and $maxoccupanti < $numpersone)
} # fine if (!$app_richiesti or $app_richiesti[$idapp] == "SI")
} # fine for $num1
if ($posti == 0) {
echo mex("Non c'è nessun appartamento tra quelli richiesti che possa ospitare",$pag)." $numpersone ".mex("persone",$pag);
if ($num_tipologie > 1) echo " (".mex("tipologia",$pag)." $n_t)";
echo ".<br>";
$inserire = "NO";
} # fine if ($posti == 0)
else {
if ($posti < $num_app_richiesti) {
echo mex("Non ci sono",$pag)." $num_app_richiesti ".mex("appartamenti tra quelli richiesti che possano ospitare",$pag)." $numpersone ".mex("persone",$pag);
if ($num_tipologie > 1) echo " (".mex("tipologia",$pag)." $n_t)";
echo ".<br>";
$inserire = "NO";
} # fine if ($posti < $num_app_richiesti)
} # fine else if ($posti == 0)
} # fine if ($numpersone)

if ($num_app_richiesti != 1 or $num_tipologie > 1) {
unset($lista_app_richiesti);
if (!${"app_richiesti".$n_t}) $lista_app_richiesti = ",tutti,,";
else while (list($key, $val) = each(${"app_richiesti".$n_t})) if ($val == "SI") $lista_app_richiesti .= $key.",";
$lista_app_richiesti = substr($lista_app_richiesti,0,-1);
$id_app_richiesti2 = $id_app_richiesti;
for ($num1 = $id_app_richiesti2 ; $num1 < ($id_app_richiesti2 + $num_app_richiesti) ; $num1++) {
$id_app_richiesti++;
$app_richiesti[$id_app_richiesti] = $lista_app_richiesti;
$idinizioperiodo_vett[$id_app_richiesti] = $idinizioperiodo;
$idfineperiodo_vett[$id_app_richiesti] = $idfineperiodo;
} # fine for $num1
$app_richiesti[",numero,"] = $id_app_richiesti;
} # fine if ($num_app_richiesti != 1 or $num_tipologie > 1)
else {
$id_app_richiesti = 1;
$app_richiesti = $app_richiesti1;
$idinizioperiodo_vett = $idinizioperiodo;
$idfineperiodo_vett = $idfineperiodo;
} # fine else if ($num_app_richiesti != 1 or $num_tipologie > 1)

} # fine else if ($idfineperiodo < $idinizioperiodo)

} # fine for $n_t


if ($inserire != "NO") {

unset($condizioni_regole1_non_sel);
if ($applica_regole1 == "n" or ($applica_regole1 == "f" and $attiva_regole1_consentite != "n")) {
for ($num1 = 0 ; $num1 < count($regole1_consentite) ; $num1++) if ($regole1_consentite[$num1]) $condizioni_regole1_non_sel .= "motivazione != '".$regole1_consentite[$num1]."' and ";
if ($condizioni_regole1_non_sel) $condizioni_regole1_non_sel = " and (".str_replace("motivazione != ' '","motivazione != '' and motivazione is not null",substr($condizioni_regole1_non_sel,0,-5)).")";
} # fine if ($applica_regole1 == "n" or ($applica_regole1 == "f" and...
$app_agenzia = esegui_query("select * from $tableregole where app_agenzia != ''$condizioni_regole1_non_sel");
if ($applica_regole1 != "m" and $applica_regole1 != "f") $num_app_agenzia = numlin_query($app_agenzia);
else $num_app_agenzia = 0;

#Se ci sono regole per $app_agenzia inserisco false prenotazioni fisse in $app_prenota_id2
if ($num_app_agenzia != 0) {
unset($limiti_var);
unset($app_prenota_id);
unset($app_orig_prenota_id);
unset($inizio_prenota_id);
unset($fine_prenota_id);
unset($app_assegnabili_id);
unset($prenota_in_app_sett);
unset($dati_app);
unset($profondita);
$limiti_var[n_ini] = $idinizioperiodo_tot;
$limiti_var[n_fine] = $idfineperiodo_tot;
$profondita[iniziale] = "";
$profondita[attuale] = 1;
$max_prenota = esegui_query("select max(idprenota) from $tableprenota");
if (numlin_query($max_prenota) != 0) $tot_prenota = risul_query($max_prenota,0,0);
else $tot_prenota = 0;
$profondita[tot_prenota_ini] = $tot_prenota;
$profondita[tot_prenota_attuale] = $tot_prenota;
tab_a_var ($limiti_var,$app_prenota_id,$app_orig_prenota_id,$inizio_prenota_id,$fine_prenota_id,$app_assegnabili_id,$prenota_in_app_sett,$anno,$dati_app,$profondita,$PHPR_TAB_PRE."prenota");
$limiti_var2 = $limiti_var;
$profondita2 = $profondita;
$prenota_in_app_sett2 = $prenota_in_app_sett;
$inizio_prenota_id2 = $inizio_prenota_id;
$fine_prenota_id2 = $fine_prenota_id;
$app_prenota_id2 = $app_prenota_id;
$app_assegnabili_id2 = $app_assegnabili_id;
$info_periodi_ag[numero] = $num_app_agenzia;
for ($num1 = 0 ; $num1 < $num_app_agenzia ; $num1 = $num1 + 1) {
$info_periodi_ag[app][$num1] = risul_query($app_agenzia,$num1,app_agenzia);
$info_periodi_ag[ini][$num1] = risul_query($app_agenzia,$num1,iddatainizio);
$info_periodi_ag[fine][$num1] = risul_query($app_agenzia,$num1,iddatafine);
} # fine for $num1
inserisci_prenota_fittizie($info_periodi_ag,$profondita2,$app_prenota_id2,$inizio_prenota_id2,$fine_prenota_id2,$prenota_in_app_sett2,$app_assegnabili_id2);
$occupare_app_agenzia_sempre = "NO";
for ($num1 = $idinizioperiodo; $num1 <= $idfineperiodo; $num1++) {
$numprenotazioni = 0;
for ($num2 = 0 ; $num2 < $dati_app[totapp] ; $num2++) if ($prenota_in_app_sett2[$dati_app[posizione][$num2]][$num1]) $numprenotazioni++;
if ($numprenotazioni >= $numappartamenti) $occupare_app_agenzia_sempre = "SI";
} # fine for $num1
if ($occupare_app_agenzia_sempre != "SI") {
$app_orig_prenota_id = $app_prenota_id2;
liberasettimane ($idinizioperiodo_vett,$idfineperiodo_vett,$limiti_var2,$anno,$fatto_libera,$app_liberato,$profondita2,$app_richiesti,$app_prenota_id2,$app_orig_prenota_id,$inizio_prenota_id2,$fine_prenota_id2,$app_assegnabili_id2,$prenota_in_app_sett2,$dati_app,$PHPR_TAB_PRE."prenota");
} # fine if ($occupare_app_agenzia_sempre != "SI")
if ($fatto_libera == "SI") {
$occupare_app_agenzia = "NO";
aggiorna_tableprenota ($app_prenota_id2,$app_orig_prenota_id,$tableprenota);
$appartamento = $app_liberato;
} # fine if ($fatto_libera == "SI")

# se ci sono app_agenzia e non si può non occuparli
else {
$occupare_app_agenzia = "SI";
$limiti_var['t_limite'] = (time() + $sec_limite_libsett);
$app_liberato = "";
$inserire = "SI_NO";
$app_orig_prenota_id = $app_prenota_id;
liberasettimane ($idinizioperiodo_vett,$idfineperiodo_vett,$limiti_var,$anno,$fatto_libera2,$app_liberato,$profondita,$app_richiesti,$app_prenota_id,$app_orig_prenota_id,$inizio_prenota_id,$fine_prenota_id,$app_assegnabili_id,$prenota_in_app_sett,$dati_app,$PHPR_TAB_PRE."prenota");
if ($applica_regole1 == "f" and $attiva_regole1_consentite != "n") $fatto_libera2 = "NO";
if ($fatto_libera2 == "NO") {
echo mex("Nel periodo selezionato non è possibile ospitare il cliente negli appartamenti richiesti",$pag).".<br>";
if ($occupare_app_agenzia_sempre == "SI" and !$app_richiesti[",numero,"]) {
echo mex("Si dovrà occupare almeno un periodo della regola di assegnazione 1",$pag).".<br>";
} # fine if ($occupare_app_agenzia_sempre == "SI" and !$app_richiesti[",numero,"])
} # fine if ($fatto_libera2 == "NO")
else {
$appartamento = $app_liberato;
echo mex("Si devono fare i seguenti spostamenti nei periodi della <font color=\"blue\">regola di assegnazione 1</font>",$pag).":<br>";
for ($num1 = 0 ; $num1 < $num_app_agenzia ; $num1++) {
$id_app_agenzia = risul_query($app_agenzia,$num1,app_agenzia);
$idinizio_app_agenzia = risul_query($app_agenzia,$num1,iddatainizio);
$idfine_app_agenzia = risul_query($app_agenzia,$num1,iddatafine);
$motivazione_app_agenzia = risul_query($app_agenzia,$num1,motivazione);
$idprenota_cambiate_da_ag = esegui_query("select idprenota from $tableprenota where idappartamenti = '$id_app_agenzia' and iddatainizio <= '$idfine_app_agenzia' and iddatafine >= '$idinizio_app_agenzia'");
$num_idprenota_cambiate_da_ag = numlin_query($idprenota_cambiate_da_ag);
for ($num2 = 0 ; $num2 < $num_idprenota_cambiate_da_ag ; $num2 = $num2 + 1) {
$idprenota_cambiata = risul_query($idprenota_cambiate_da_ag,$num2,idprenota);
if ($app_prenota_id[$idprenota_cambiata] and $app_prenota_id[$idprenota_cambiata] != $id_app_agenzia) {
$idapp_camb = $app_prenota_id[$idprenota_cambiata];
$dati_cambiati = esegui_query("select * from $tableprenota where idprenota = '$idprenota_cambiata'");
$idclienti_camb = risul_query($dati_cambiati,0,idclienti);
$cliente_camb = esegui_query("select cognome from $tableclienti where idclienti = '$idclienti_camb'");
$cliente_camb = risul_query($cliente_camb,0,cognome);
$iddatainizio_camb = $inizio_prenota_id[$idprenota_cambiata];
$datainizio_camb = esegui_query("select datainizio from $tableperiodi where idperiodi = '$iddatainizio_camb'");
$datainizio_camb = risul_query($datainizio_camb,0,datainizio);
$datainizio_camb_f = formatta_data($datainizio_camb,$stile_data);
$iddatafine_camb = $fine_prenota_id[$idprenota_cambiata];
$datafine_camb = esegui_query("select datafine from $tableperiodi where idperiodi = '$iddatafine_camb'");
$datafine_camb = risul_query($datafine_camb,0,datafine);
$datafine_camb_f = formatta_data($datafine_camb,$stile_data);
echo mex("La prenotazione dal",$pag)." $datainizio_camb_f ".mex("al",$pag)." $datafine_camb_f ".mex("a nome di",$pag)." $cliente_camb ".mex("verrà spostata dall'appartamento",$pag)." <font color=\"blue\"><b>$id_app_agenzia</b></font> (<b>$motivazione_app_agenzia</b>) ".mex("al",$pag)." $idapp_camb.<br>";
} # fine if ($app_prenota_id[$idprenota_cambiata] and $app_prenota_id[$idprenota_cambiata] != $id_app_agenzia)
} # fine for $num2
$idprenota_cambiate_a_ag = prenota_in_app_e_periodo($id_app_agenzia,$idinizio_app_agenzia,$idfine_app_agenzia,$prenota_in_app_sett,$fine_prenota_id,$num_pca);
for ($num2 = 1 ; $num2 <= $num_pca ; $num2++) {
$idprenota_cambiata = $idprenota_cambiate_a_ag[$num2];
if ($app_orig_prenota_id[$idprenota_cambiata] and $app_prenota_id[$idprenota_cambiata] != $app_orig_prenota_id[$idprenota_cambiata]) {
$dati_cambiati = esegui_query("select * from $tableprenota where idprenota = $idprenota_cambiata");
$idapp_camb = $app_orig_prenota_id[$idprenota_cambiata];
$idclienti_camb = risul_query($dati_cambiati,0,idclienti);
$cliente_camb = esegui_query("select cognome from $tableclienti where idclienti = $idclienti_camb");
$cliente_camb = risul_query($cliente_camb,0,cognome);
$iddatainizio_camb = $inizio_prenota_id[$idprenota_cambiata];
$datainizio_camb = esegui_query("select datainizio from $tableperiodi where idperiodi = $iddatainizio_camb");
$datainizio_camb = risul_query($datainizio_camb,0,datainizio);
$datainizio_camb_f = formatta_data($datainizio_camb,$stile_data);
$iddatafine_camb = $fine_prenota_id[$idprenota_cambiata];
$datafine_camb = esegui_query("select datafine from $tableperiodi where idperiodi = $iddatafine_camb");
$datafine_camb = risul_query($datafine_camb,0,datafine);
$datafine_camb_f = formatta_data($datafine_camb,$stile_data);
echo mex("La prenotazione dal",$pag)." $datainizio_camb_f ".mex("al",$pag)." $datafine_camb_f ".mex("a nome di",$pag)." $cliente_camb ".mex("verrà spostata dall'appartamento",$pag)." $idapp_camb ".mex("al",$pag)." <font color=\"blue\"><b>$id_app_agenzia</b></font> (<b>$motivazione_app_agenzia</b>).<br>";
} # fine if ($app_orig_prenota_id[$idprenota_cambiata] and...
} # fine for $num2
for ($num2 = 1 ; $num2 <= $id_app_richiesti ; $num2++) {
if ($id_app_richiesti > 1) $appartamento_controlla = $appartamento[$num2];
else $appartamento_controlla = $appartamento;
if ($id_app_agenzia == $appartamento_controlla and $idinizio_app_agenzia <= $idfineperiodo and $idfine_app_agenzia >= $idinizioperiodo) {
echo mex("La nuova prenotazione verrà inserita nell'appartamento",$pag)." <font color=\"blue\"><b>$id_app_agenzia</b></font> (<b>$motivazione_app_agenzia</b>).<br>";
} # fine if ($id_app_agenzia == $appartamento_controlla and ...
} # fine for $num2
} # fine for $num1
if (@is_array($app_orig_prenota_id)) {
reset($app_orig_prenota_id);
while (list($idprenota, $app_prenota) = each($app_orig_prenota_id)) {
if ($app_prenota_id[$idprenota] != $app_prenota) {
$app_cambiato = $app_prenota_id[$idprenota];
$spostamenti_transazione .= "$idprenota,$app_cambiato,";
} # fine if ($app_prenota_id[$idprenota] != $app_prenota)
} # fine while (list($key, $val) = each($app_orig_prenota_id))
$spostamenti_transazione = substr($spostamenti_transazione,0,-1);
} # fine if (@is_array($app_orig_prenota_id))
} # fine else if ($fatto_libera2 == "NO")
} # fine else if ($fatto_libera == "SI")
} # fine if ($num_app_agenzia != 0)

else {
# se non ci sono app_agenzia della regola di assegnazione 1
unset($limiti_var_);
unset($profondita_);
unset($app_prenota_id_);
unset($app_orig_prenota_id_);
unset($inizio_prenota_id_);
unset($fine_prenota_id_);
unset($app_assegnabili_id_);
unset($prenota_in_app_sett_);
unset($dati_app_);
unset($app_liberato);
liberasettimane ($idinizioperiodo_vett,$idfineperiodo_vett,$limiti_var_,$anno,$fatto_libera,$app_liberato,$profondita_,$app_richiesti,$app_prenota_id_,$app_orig_prenota_id_,$inizio_prenota_id_,$fine_prenota_id_,$app_assegnabili_id_,$prenota_in_app_sett_,$dati_app_,$PHPR_TAB_PRE."prenota");
if ($fatto_libera == "NO") {
$inserire = "SI_NO";
echo mex("Nel periodo selezionato non è possibile ospitare il cliente in un appartamento tra quelli richiesti",$pag).".<br>";
} # fine if ($fatto_libera == "NO")
else $appartamento = $app_liberato;
} # fine else if ($num_app_agenzia != 0)

if ($app_richiesti[",numero,"]) {
$id_app_richiesti = 0;
for ($n_t = 1 ; $n_t <= $num_tipologie ; $n_t++) {
unset($appartamento_u);
unset($inizioperiodo_u);
unset($fineperiodo_u);
$id_app_richiesti2 = $id_app_richiesti;
for ($num1 = $id_app_richiesti2 ; $num1 < ($id_app_richiesti2 + ${"num_app_richiesti".$n_t}) ; $num1++) {
$id_app_richiesti++;
$appartamento_u .= $appartamento[$id_app_richiesti].",";
$inizioperiodo_u .= $idinizioperiodo_vett[$id_app_richiesti].",";
$fineperiodo_u .= $idfineperiodo_vett[$id_app_richiesti].",";
} # fine for $num1
${"appartamento".$n_t} = substr($appartamento_u,0,-1);
${"inizioperiodo".$n_t} = substr($inizioperiodo_u,0,-1);
${"fineperiodo".$n_t} = substr($fineperiodo_u,0,-1);
if (${"num_app_richiesti".$n_t} > 1) ${"spezzetta".$n_t} = "SI";
} # fine for $n_t
} # fine if ($app_richiesti[",numero,"])
else $appartamento1 = $appartamento;

} # fine if ($inserire != "NO")


if ($inserire == "NO") {
$inseriscicliente = "";
} # fine if ($inserire == "NO")
else {
unset($dati_transazione1);
unset($dati_transazione2);
unset($dati_transazione3);
unset($dati_transazione4);
unset($dati_transazione5);
unset($dati_transazione6);
unset($dati_transazione7);
unset($dati_transazione8);
unset($dati_transazione9);
unset($dati_transazione10);
$dati_transazione1 = $num_tipologie;
for ($n_t = 1 ; $n_t <= $num_tipologie ; $n_t++) {
$dati_transazione2 .= ";".${"inizioperiodo".$n_t};
$dati_transazione3 .= ";".${"fineperiodo".$n_t};
$dati_transazione4 .= ", ,".${"appartamento".$n_t};
$dati_transazione5 .= ",".${"nometipotariffa".$n_t};
$dati_transazione6 .= ",".${"numpersone".$n_t};
$dati_transazione7 .= ",".${"assegnazioneapp".$n_t};
$dati_transazione8 .= ",".${"num_app_richiesti".$n_t};
$dati_transazione9 .= ", ,".${"lista_app".$n_t};
$dati_transazione10 .= ",".${"spezzetta".$n_t};
} # fine for $n_t
$dati_transazione2 = substr($dati_transazione2,1);
$dati_transazione3 = substr($dati_transazione3,1);
$dati_transazione4 = substr($dati_transazione4,3);
$dati_transazione5 = substr($dati_transazione5,1);
$dati_transazione6 = substr($dati_transazione6,1);
$dati_transazione7 = substr($dati_transazione7,1);
$dati_transazione8 = substr($dati_transazione8,1);
$dati_transazione9 = substr($dati_transazione9,3);
$dati_transazione10 = substr($dati_transazione10,1);
$dati_transazione11 = $fatto_libera2;
$adesso = date("YmdHis",(time() + (C_DIFF_ORE * 3600)));
list($usec, $sec) = explode(' ', microtime());
mt_srand((float) $sec + ((float) $usec * 100000));
$val_casuale = mt_rand(100000,999999);
$ultimo_accesso = date("Y-m-d H:i:s",(time() + (C_DIFF_ORE * 3600)));
$id_transazione = $adesso.$val_casuale.$versione_transazione;
esegui_query("insert into $tabletransazioni (idtransazioni,idsessione,tipo_transazione,anno,spostamenti,dati_transazione1,dati_transazione2,dati_transazione3,dati_transazione4,dati_transazione5,dati_transazione6,dati_transazione7,dati_transazione8,dati_transazione9,dati_transazione10,dati_transazione11,ultimo_accesso) values ('$id_transazione','$id_sessione','ins_p','$anno','$spostamenti_transazione','$dati_transazione1','$dati_transazione2','$dati_transazione3','$dati_transazione4','$dati_transazione5','$dati_transazione6','$dati_transazione7','$dati_transazione8','$dati_transazione9','$dati_transazione10','$dati_transazione11','$ultimo_accesso')");
} # fine else if ($inserire == "NO")

unlock_tabelle($tabelle_lock);

} # fine if ($nuovaprenotazione != "Continua lo stesso")


else {

$tabelle_lock = array("$tableprenota","$tabletransazioni");
$altre_tab_lock = array("$tableappartamenti","$tableperiodi","$tablepersonalizza");
$tabelle_lock = lock_tabelle($tabelle_lock,$altre_tab_lock);

if ($tipo_transazione != "ins_p") $inserire = "NO";

else {
$fatto_libera2 = risul_query($dati_transazione,0,dati_transazione11);

if ($fatto_libera2 == "SI") {
unset($limiti_var);
unset($app_prenota_id);
unset($app_orig_prenota_id);
unset($inizio_prenota_id);
unset($fine_prenota_id);
unset($app_assegnabili_id);
unset($prenota_in_app_sett);
unset($dati_app);
unset($profondita);
$limiti_var[n_ini] = 0;
$max_periodo = esegui_query("select max(idperiodi) from $tableperiodi");
$max_periodo = risul_query($max_periodo,0,0);
$limiti_var[n_fine] = $max_periodo;
$profondita[iniziale] = "";
$profondita[attuale] = 1;
$max_prenota = esegui_query("select max(idprenota) from $tableprenota");
if (numlin_query($max_prenota) != 0) $tot_prenota = risul_query($max_prenota,0,0);
else $tot_prenota = 0;
$profondita[tot_prenota_ini] = $tot_prenota;
$profondita[tot_prenota_attuale] = $tot_prenota;
tab_a_var ($limiti_var,$app_prenota_id,$app_orig_prenota_id,$inizio_prenota_id,$fine_prenota_id,$app_assegnabili_id,$prenota_in_app_sett,$anno,$dati_app,$profondita,$PHPR_TAB_PRE."prenota");
$nuovo_app = "";
$spostamenti = risul_query($dati_transazione,0,spostamenti);
$spostamenti = explode(",",$spostamenti);

# Effettuo gli spostamenti e faccio i controlli (appartamento di destinazione assegnabile, esistente e vuoto)
$num_spostamenti = count($spostamenti);
for ($num1 = 0 ; $num1 < $num_spostamenti ; $num1++) {
$idprenota_cambiata = $spostamenti[$num1];
for ($num2 = $inizio_prenota_id[$idprenota_cambiata] ; $num2 <= $fine_prenota_id[$idprenota_cambiata] ; $num2++) {
$prenota_in_app_sett[$app_prenota_id[$idprenota_cambiata]][$num2] = "";
} # fine for $num2
$num1++;
} # fine for $num1
for ($num1 = 0 ; $num1 < $num_spostamenti ; $num1++) {
$idprenota_cambiata = $spostamenti[$num1];
$app_cambiato = $spostamenti[($num1 + 1)];
if ($inizio_prenota_id[$idprenota_cambiata]) {
if (!$app_assegnabili_id[$idprenota_cambiata]) $inserire = "NO";
if ($app_assegnabili_id[$idprenota_cambiata] and $app_assegnabili_id[$idprenota_cambiata] != "v") {
$lista_app_assegnabili = ",".$app_assegnabili_id[$idprenota_cambiata].",";
if (str_replace(",".$app_cambiato.",","",$lista_app_assegnabili) == $lista_app_assegnabili) $inserire = "NO";
} # fine if ($app_assegnabili_id[$idprenota_cambiata] and...
if (str_replace(",".$app_cambiato.",","",$dati_app[lista]) == $dati_app[lista]) $inserire = "NO";
$app_prenota_id[$idprenota_cambiata] = $app_cambiato;
for ($num2 = $inizio_prenota_id[$idprenota_cambiata] ; $num2 <= $fine_prenota_id[$idprenota_cambiata] ; $num2++) {
if ($prenota_in_app_sett[$app_cambiato][$num2]) $inserire = "NO";
else $prenota_in_app_sett[$app_cambiato][$num2] = $idprenota_cambiata;
} # fine for $num2
} # fine if ($inizio_prenota_id[$idprenota_cambiata])
if ($inserire == "NO") break;
$num1++;
} # fine for $num1
} # fine if ($fatto_libera2 == "SI")

else esegui_query("update $tabletransazioni set dati_transazione10 = 'SI' where idtransazioni = '$id_transazione' and idsessione = '$id_sessione'");

} # fine else if ($tipo_transazione != "ins_p")

if ($inserire == "NO") {
echo mex("Non si può procedere perchè la tabella prenotazioni è cambiata nel frattempo",$pag).".<br>";
$inseriscicliente = "";
} # fine if ($inserire == "NO")
else aggiorna_tableprenota ($app_prenota_id,$app_orig_prenota_id,$tableprenota);

unlock_tabelle($tabelle_lock);
} # fine else if ($nuovaprenotazione != "Continua lo stesso")


} # fine else if ($aggiungi_tipologie)

} # fine if ($nuovaprenotazione)




if ($inserire == "SI_NO") {
$mostra_form_dati_cliente = "NO";
if ((!$app_richiesti[",numero,"] and $id_utente == 1) or $fatto_libera2 == "SI") {
if ($fatto_libera2 != "SI") {
$assegnazioneapp_copia = $assegnazioneapp1;
$assegnazioneapp1 = "v";
$lista_app_copia = $lista_app1;
$lista_app = "";
echo "<b>".mex("Se si continua l'assegnazione dell'appartamento non terrà conto degli <font color=\"red\">appartamenti richiesti</font>",$pag)."</b>.<br>";
} # fine if ($fatto_libera2 != "SI")
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"clienti.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">";
$manda_dati_assegnazione = "NO";
include("./includes/dati_form_prenotazione.php");
echo "
<input type=\"hidden\" name=\"origine\" value=\"$origine\">
<input type=\"hidden\" name=\"nuovaprenotazione\" value=\"Continua lo stesso\">
<input class=\"sbutton\" type=\"submit\" name=\"nuovaprenota_vedi\" value=\"".mex("Continua lo stesso",$pag)."\">
</form>";
} # fine if ((!$app_richiesti[",numero,"] and $id_utente == 1) or $fatto_libera2 == "SI")
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"$origine\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">";
if ($lista_app_copia) $lista_app1 = $lista_app_copia;
if ($assegnazioneapp_copia) $assegnazioneapp1 = $assegnazioneapp_copia;
$manda_dati_assegnazione = "SI";
include("./includes/dati_form_prenotazione.php");
echo "<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Torna indietro",$pag)."\">
</form>";
$inseriscicliente = "";
$inserire = "NO";
} # fine if ($inserire == "SI_NO")

else {



if ($inseriscicliente or $inserire) {

$mostra_form_dati_cliente = "NO";
$Modifica_i_dati_del_cliente = "Modifica i dati del cliente";

if ($nuovaprenotazione == "") {

$tableclienti = $PHPR_TAB_PRE."clienti";

} # fine if ($nuovaprenotazione == "")

if ($inseriscicliente) {
if ($cognome) {
$cognome = addslashes($cognome);
$cognome_maius = ucwords($cognome);
$cognome2 = addslashes($cognome2);
$cognome2_maius = ucwords($cognome2);
$condizione_utente = "";
if ($vedi_clienti == "PROPRI" or (!$nuovaprenotazione and $modifica_clienti == "PROPRI")) $condizione_utente = "and utente_inserimento = '$id_utente'";
if ($vedi_clienti == "NO" or (!$nuovaprenotazione and $modifica_clienti == "NO")) $condizione_utente = "and utente_inserimento = '-1'";
$esistecognome = esegui_query("select * from $tableclienti where ( cognome $ILIKE '%$cognome%' or cognome2 $ILIKE '%$cognome%' ) $condizione_utente");
$numrighe = numlin_query($esistecognome);
$numrighecognome2=0;
if ($cognome2) {
$esistecognome2=esegui_query("select * from $tableclienti where ( cognome $ILIKE '%$cognome2%' or cognome2 $ILIKE '%$cognome2%' ) $condizione_utente");
$numrighecognome2 = numlin_query($esistecognome2);
} # fine if ($cognome2)
$cognome = stripslashes($cognome);
$cognome2 = stripslashes($cognome2);
# I cognomi inseriti non esistono nel database
if ($numrighe == 0 and $numrighecognome2 == 0) {
$inserire = "SI";

if ($nuovaprenotazione) {
if ($inserimento_nuovi_clienti == "SI") {
$mostra_form_dati_cliente = "SI";
$datiprenota = mex("Inserisci i dati di un nuovo cliente",$pag);
$titolo_form_dati_cliente = $datiprenota;
$inserire = "";
} # fine if ($inserimento_nuovi_clienti == "SI")
else {
echo mex("Non si è trovato nessun cliente chiamato",$pag)." $cognome.<br>";
$inserire = "NO";
} # fine else if ($inserimento_nuovi_clienti == "SI")
} # fine if ($nuovaprenotazione)

} # fine if ($numrighe == 0 and $numrighecognome2 == 0)
# Esiste almeno uno dei cognomi inseriti
else {
for ( $num = 0; $num < $numrighe; $num = $num + 1) {
$idcognome[$num]=risul_query($esistecognome,$num,idclienti);
} # fine for $num
$numrighetot=$numrighe+$numrighecognome2;
for ( $num = $numrighe; $num < $numrighetot ; $num = $num + 1) {
$num_risul = $num - $numrighe;
$idcognome[$num]=risul_query($esistecognome2,$num_risul,idclienti);
} # fine for $num
echo mex("Esistono i seguenti clienti con un cognome uguale o simile",$pag).":<br><br>";
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"$origine\">
<input type=\"hidden\" name=\"origine\" value=\"$origine\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">";
for ( $num = 0; $num < $numrighetot; $num = $num + 1) {
$dati=esegui_query("select * from $tableclienti where idclienti = '".$idcognome[$num]."' ");

$dcognome = risul_query($dati,0,cognome);
$dnome = risul_query($dati,0,nome);
$dsesso = risul_query($dati,0,sesso);
$ddatanascita = risul_query($dati,0,datanascita);
$ddocumento = risul_query($dati,0,documento);
$dscadenzadoc = risul_query($dati,0,scadenzadoc);
$dscadenzadoc_f = formatta_data($dscadenzadoc,$stile_data);
$dnazione = risul_query($dati,0,nazione);
$dregione = risul_query($dati,0,regione);
$dcitta = risul_query($dati,0,citta);
$dvia = risul_query($dati,0,via);
$dnumcivico = risul_query($dati,0,numcivico);
$dtelefono = risul_query($dati,0,telefono);
$dtelefono2 = risul_query($dati,0,telefono2);
$dtelefono3 = risul_query($dati,0,telefono3);
$dfax = risul_query($dati,0,fax);
$dcap = risul_query($dati,0,cap);
$demail = risul_query($dati,0,email);
$dcognome2 = risul_query($dati,0,cognome2);
$dnome2 = risul_query($dati,0,nome2);
$dsesso2 = risul_query($dati,0,sesso2);
$ddatanascita2 = risul_query($dati,0,datanascita2);
$ddocumento2 = risul_query($dati,0,documento2);
$dscadenzadoc2 = risul_query($dati,0,scadenzadoc2);
$dscadenzadoc2_f = formatta_data($dscadenzadoc2,$stile_data);

$O = "o"; $O2 = "o";
if ($dsesso == "f") { $O = "a"; }
if ($dsesso2 == "f") { $O2 = "a"; }
echo "$dcognome ";
if ($dnome) { echo "$dnome "; }
$stile_data = stile_data();
if ($ddatanascita) echo mex("nat$O il",$pag)." ".formatta_data($ddatanascita,$stile_data)." ";
if ($ddocumento) {
echo " - $ddocumento ";
if ($dscadenzadoc) {
if (date("Ymd",(time() + (C_DIFF_ORE * 3600))) <= str_replace("-","",$dscadenzadoc)) echo " ($dscadenzadoc_f) ";
else echo " (<font color=\"red\">$dscadenzadoc_f</font>) ";
} # fine if ($dscadenzadoc)
} # fine if ($ddocumento)
if ($dcognome2) {
if ($ddocumento or $ddocumento2) echo "<br>";
echo mex("e",$pag)." $dcognome2 ";
if ($dnome2) { echo "$dnome2 "; }
if ($ddatanascita2) echo mex("nat$O2 il",$pag)." ".formatta_data($ddatanascita2,$stile_data);
if ($ddocumento2) {
echo " - $ddocumento2 ";
if ($dscadenzadoc2) {
if (date("Ymd",(time() + (C_DIFF_ORE * 3600))) <= str_replace("-","",$dscadenzadoc2)) echo " ($dscadenzadoc2_f) ";
else echo " (<font color=\"red\">$dscadenzadoc2_f</font>) ";
} # fine if ($dscadenzadoc2)
} # fine if ($ddocumento2)
} # fine if ($dcognome2)
echo "<br>";
if ($dcitta) { echo "$dcitta, "; }
if ($dvia) { echo "$dvia "; }
if ($dnumcivico) { echo "nº $dnumcivico "; }
if ($dcap) { echo mex("CAP",$pag)." $dcap "; }
if ($dnazione or $dregione) echo "(";
if ($dregione) echo $dregione;
if ($dnazione and $dregione) echo ", ";
if ($dnazione) echo $dnazione;
if ($dnazione or $dregione) echo ") ";
echo "<br>";
if ($dtelefono) { echo mex("Telefono",$pag).": $dtelefono "; }
if ($dtelefono2) { echo mex("2º telefono",$pag).": $dtelefono2 "; }
if ($dtelefono3) { echo mex("3º telefono",$pag).": $dtelefono3, "; }
if ($dfax) { echo "fax: $dfax, "; }
if ($demail) { echo "email: $demail "; }

if ($nuovaprenotazione) {
echo "<br><center>
<input class=\"sbutton\" type=\"submit\" name=\"idclienti\" value=\"".mex("Utilizza il cliente",$pag)." ".$idcognome[$num]." ".mex("per la prenotazione",$pag)."\">";
} # fine if ($nuovaprenotazione)
else {

echo "<br><center>
<input class=\"sbutton\" type=\"submit\" name=\"inserire\" value=\"".mex($Modifica_i_dati_del_cliente,$pag)." ".$idcognome[$num]."\">";
if ((@eregi($cognome,$dcognome2) and !@eregi($cognome,$dcognome)) or (@eregi($cognome2,$dcognome) and !@eregi($cognome2,$dcognome2))) {
echo "<br><font size=\"-1\">(".mex("non verrano modificati i dati specifici delle 2 persone di riferimento",$pag).")</font>
<input type=\"hidden\" name=\"inserire_dati_personali".$idcognome[$num]."\" value=\"NO\">";
} # fine if ((eregi($cognome,$dcognome2) and...
if (@eregi_replace($cognome,"",$dcognome) != $dcognome) {
echo "<input type=\"hidden\" name=\"inserire_dato_cognome".$idcognome[$num]."\" value=\"NO\">";
} # fine if (eregi_replace($cognome,"",$dcognome) != $dcognome)
if (@eregi_replace($cognome2,"",$dcognome2) != $dcognome2) {
echo "<input type=\"hidden\" name=\"inserire_dato_cognome2".$idcognome[$num]."\" value=\"NO\">";
} # fine if (eregi_replace($cognome2,"",$dcognome2) != $dcognome2)

} # fine else if ($nuovaprenotazione)

echo "</center><hr width=\"95%\">";
} # fine for $num
echo "<center>";

if ($nuovaprenotazione) {
$manda_dati_assegnazione = "NO";
include("./includes/dati_form_prenotazione.php");
} # fine if ($nuovaprenotazione)
else {

echo "<input type=\"hidden\" name=\"cognome\" value=\"$cognome\">
<input type=\"hidden\" name=\"nome\" value=\"$nome\">
<input type=\"hidden\" name=\"sesso\" value=\"$sesso\">
<input type=\"hidden\" name=\"giornonascita\" value=\"$giornonascita\">
<input type=\"hidden\" name=\"mesenascita\" value=\"$mesenascita\">
<input type=\"hidden\" name=\"annonascita\" value=\"$annonascita\">
<input type=\"hidden\" name=\"tipo_documento\" value=\"$tipo_documento\">
<input type=\"hidden\" name=\"documento\" value=\"$documento\">
<input type=\"hidden\" name=\"giornoscaddoc\" value=\"$giornoscaddoc\">
<input type=\"hidden\" name=\"mesescaddoc\" value=\"$mesescaddoc\">
<input type=\"hidden\" name=\"annoscaddoc\" value=\"$annoscaddoc\">
<input type=\"hidden\" name=\"nazione\" value=\"$nazione\">
<input type=\"hidden\" name=\"citta\" value=\"$citta\">
<input type=\"hidden\" name=\"regione\" value=\"$regione\">
<input type=\"hidden\" name=\"via\" value=\"$via\">
<input type=\"hidden\" name=\"nomevia\" value=\"$nomevia\">
<input type=\"hidden\" name=\"numcivico\" value=\"$numcivico\">
<input type=\"hidden\" name=\"cap\" value=\"$cap\">
<input type=\"hidden\" name=\"telefono\" value=\"$telefono\">
<input type=\"hidden\" name=\"telefono2\" value=\"$telefono2\">
<input type=\"hidden\" name=\"telefono3\" value=\"$telefono3\">
<input type=\"hidden\" name=\"fax\" value=\"$fax\">
<input type=\"hidden\" name=\"email\" value=\"$email\">
<input type=\"hidden\" name=\"cognome2\" value=\"$cognome2\">
<input type=\"hidden\" name=\"nome2\" value=\"$nome2\">
<input type=\"hidden\" name=\"sesso2\" value=\"$sesso2\">
<input type=\"hidden\" name=\"giornonascita2\" value=\"$giornonascita2\">
<input type=\"hidden\" name=\"mesenascita2\" value=\"$mesenascita2\">
<input type=\"hidden\" name=\"annonascita2\" value=\"$annonascita2\">
<input type=\"hidden\" name=\"tipo_documento2\" value=\"$tipo_documento2\">
<input type=\"hidden\" name=\"documento2\" value=\"$documento2\">
<input type=\"hidden\" name=\"giornoscaddoc2\" value=\"$giornoscaddoc2\">
<input type=\"hidden\" name=\"mesescaddoc2\" value=\"$mesescaddoc2\">
<input type=\"hidden\" name=\"annoscaddoc2\" value=\"$annoscaddoc2\">";
if ($inserimento_nuovi_clienti == "SI") {
echo "<input class=\"sbutton\" type=\"submit\" name=\"inserire\" value=\"".mex("Inserisci un nuovo cliente",$pag)."\">
<br><hr width=\"95%\">";
} # fine if ($inserimento_nuovi_clienti == "SI")

} # fine else if ($nuovaprenotazione)

echo "
<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Torna indietro",$pag)."\">
</center></form>";

if ($nuovaprenotazione and $inserimento_nuovi_clienti == "SI") {
echo "<hr width=\"95%\">
<form accept-charset=\"utf-8\" method=\"post\" action=\"clienti.php\">
<input type=\"hidden\" name=\"origine\" value=\"$origine\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">";
$manda_dati_assegnazione = "NO";
include("./includes/dati_form_prenotazione.php");
echo "<center>
<input class=\"sbutton\" type=\"submit\" name=\"datiprenota\" value=\"".mex("Inserisci i dati di un nuovo cliente",$pag)."\">
</center></form>";
} # fine if ($nuovaprenotazione and $inserimento_nuovi_clienti == "SI")

} # fine else if ($numrighe == 0 and $numrighecognome2 == 0)
} # fine if ($cognome)

} # fine if ($inseriscicliente)

if ($cognome == "") {
echo mex("É necessario inserire il cognome del cliente",$pag).".<br>";
$inserire = "NO";
} # fine if ($cognome == "")



if ($inserire == "NO") {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"$origine\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">";
if ($nuovaprenotazione) {
for ($n_t = 1 ; $n_t <= $num_tipologie ; $n_t++) {
if (${"appartamento".$n_t} and !${"assegnazioneapp".$n_t}) ${"assegnazioneapp".$n_t} = "k";
if (!${"lista_app".$n_t} and ${"assegnazioneapp".$n_t} != "k") {
echo "<input type=\"hidden\" name=\"num_piano$n_t\" value=\"".${"num_piano".$n_t}."\">
<input type=\"hidden\" name=\"num_casa$n_t\" value=\"".${"num_casa".$n_t}."\">
<input type=\"hidden\" name=\"num_persone_casa$n_t\" value=\"".${"num_persone_casa".$n_t}."\">";
} # fine if (!${"lista_app".$n_t} and ${"assegnazioneapp".$n_t} != "k")
} # fine for $n_t
$manda_dati_assegnazione = "SI";
include("./includes/dati_form_prenotazione.php");
} # fine if ($nuovaprenotazione)
echo "<br>
<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Torna indietro",$pag)."\">
</form>";
} # fine if ($inserire == "NO")
else {
if ($inserire) {

$tabelle_lock = array("$tableclienti");
$tabelle_lock = lock_tabelle($tabelle_lock);

$inserire = htmlentities($inserire);
if (str_replace(mex($Modifica_i_dati_del_cliente,$pag),"",$inserire) != $inserire or str_replace(htmlentities(mex($Modifica_i_dati_del_cliente,$pag)),"",$inserire) != $inserire) {
if (str_replace(mex($Modifica_i_dati_del_cliente,$pag),"",$inserire) != $inserire) $idclienti = str_replace(mex($Modifica_i_dati_del_cliente,$pag),"",$inserire);
else $idclienti = str_replace(htmlentities(mex($Modifica_i_dati_del_cliente,$pag)),"",$inserire);
$idclienti = str_replace(" ","",$idclienti);
$idclienti = addslashes($idclienti);
$dati_cliente = esegui_query("select cognome,utente_inserimento from $tableclienti where idclienti = '$idclienti'");
$cognome = risul_query($dati_cliente,0,cognome);
$cliente_modificato = "SI";
$inserire_dati_personali = "inserire_dati_personali".$idclienti;
$inserire_dato_cognome = "inserire_dato_cognome".$idclienti;
$inserire_dato_cognome2 = "inserire_dato_cognome2".$idclienti;
$utente_inserimento = risul_query($dati_cliente,0,utente_inserimento);
if ($vedi_clienti == "NO" or ($vedi_clienti == "PROPRI" and $utente_inserimento != $id_utente)) $inserire = "NO";
if ($modifica_clienti == "NO" or ($modifica_clienti == "PROPRI" and $utente_inserimento != $id_utente)) $inserire = "NO";
} # fine if (str_replace(mex($Modifica_i_dati_del_cliente,$pag),"",$inserire) != $inserire or...
$cognome = addslashes($cognome);
if ($idclienti == "") {
if ($inserimento_nuovi_clienti == "NO") $inserire = "NO";
else {
$datainserimento = date("Y-m-d H:i:s",(time() + (C_DIFF_ORE * 3600)));
$idclienti = esegui_query("select idclienti from $tableclienti where idclienti = 1");
if (numlin_query($idclienti) == 0) $idclienti = 1;
else {
$idclienti = esegui_query("select max(idclienti) from $tableclienti");
$idclienti = risul_query($idclienti,0,0) + 1;
} # fine else if (numlin_query($idclienti) == 0)
$cognome_maius = ucwords($cognome);
if ($attiva_prefisso_clienti == "p") $cognome_maius = $prefisso_clienti.$cognome_maius;
if ($attiva_prefisso_clienti == "s") $cognome_maius = $cognome_maius.$prefisso_clienti;
esegui_query("insert into $tableclienti (idclienti,cognome,datainserimento,hostinserimento,utente_inserimento) values ( '$idclienti','$cognome_maius','$datainserimento','$HOSTNAME','$id_utente_ins')");
#$idclienti=esegui_query("select idclienti from clienti where cognome = initcap('$cognome') and datainserimento = '$datainserimento' and hostinserimento = '$HOSTNAME' ");
#$idclienti=risul_query($idclienti,0,idclienti);
} # fine else if ($inserimento_nuovi_clienti == "NO")
} # fine if ($idclienti == "")
$cognome = stripslashes($cognome);
if ($inserire != "NO") {
if ($$inserire_dati_personali != "NO") {
if ($nome) {
$nome_maius = ucwords($nome);
$nome_maius = addslashes($nome_maius);
esegui_query("update $tableclienti set nome = '$nome_maius' where idclienti = '$idclienti' ");
} # fine if ($nome)
$sesso = addslashes($sesso);
if ($sesso) esegui_query("update $tableclienti set sesso = '$sesso' where idclienti = '$idclienti' ");
if ($cognome2 and $$inserire_dato_cognome2 != "NO") {
$cognome2 = addslashes($cognome2);
$cognome2_maius = ucwords($cognome2);
esegui_query("update $tableclienti set cognome2 = '$cognome2_maius' where idclienti = '$idclienti' ");
$cognome2 = stripslashes($cognome2);
} # fine if ($cognome2 and $$inserire_dato_cognome2 != "NO")
if ($nome2) {
$nome2_maius = ucwords($nome2);
$nome2_maius = addslashes($nome2_maius);
esegui_query("update $tableclienti set nome2 = '$nome2_maius' where idclienti = '$idclienti' ");
} # fine if ($nome2)
$sesso2 = addslashes($sesso2);
if ($sesso2) esegui_query("update $tableclienti set sesso2 = '$sesso2' where idclienti = '$idclienti' ");
if ($mesenascita and $giornonascita and strlen($annonascita) == 4) {
#$datanascita = date("M d, Y" , mktime(0,0,0,$mesenascita,$giornonascita,$annonascita));
$datanascita = $annonascita."-".$mesenascita."-".$giornonascita;
$datanascita = addslashes($datanascita);
esegui_query("update $tableclienti set datanascita = '$datanascita' where idclienti = '$idclienti' ");
} # fine if ($mesenascita and ...
if ($mesenascita2 and $giornonascita2 and strlen($annonascita2) == 4) {
#$datanascita2 = date("M d, Y" , mktime(0,0,0,$mesenascita2,$giornonascita2,$annonascita2));
$datanascita2 = $annonascita2."-".$mesenascita2."-".$giornonascita2;
$datanascita2 = addslashes($datanascita2);
esegui_query("update $tableclienti set datanascita2 = '$datanascita2' where idclienti = '$idclienti' ");
} # fine if ($mesenascita2 and ...
if ($documento) {
if ($tipo_documento) $documento = $tipo_documento." ".$documento;
$documento = addslashes($documento);
esegui_query("update $tableclienti set documento = '$documento' where idclienti = '$idclienti' ");
} # fine if ($documento)
if ($documento2) {
if ($tipo_documento2) $documento2 = $tipo_documento2." ".$documento2;
$documento2 = addslashes($documento2);
esegui_query("update $tableclienti set documento2 = '$documento2' where idclienti = '$idclienti' ");
} # fine if ($documento2)
if ($mesescaddoc and $giornoscaddoc and $annoscaddoc) {
$datascaddoc = $annoscaddoc."-".$mesescaddoc."-".$giornoscaddoc;
$datascaddoc = addslashes($datascaddoc);
esegui_query("update $tableclienti set scadenzadoc = '$datascaddoc' where idclienti = '$idclienti' ");
} # fine if ($mesescaddoc and ...
if ($mesescaddoc2 and $giornoscaddoc2 and $annoscaddoc2) {
$datascaddoc2 = $annoscaddoc2."-".$mesescaddoc2."-".$giornoscaddoc2;
$datascaddoc2 = addslashes($datascaddoc2);
esegui_query("update $tableclienti set scadenzadoc2 = '$datascaddoc2' where idclienti = '$idclienti' ");
} # fine if ($mesescaddoc2 and ...
} # fine if ($$inserire_dati_personali != "NO")
if ($nazione) {
$nazione_maius = ucwords($nazione);
$nazione_maius = addslashes($nazione_maius);
esegui_query("update $tableclienti set nazione = '$nazione_maius' where idclienti = '$idclienti' ");
} # fine if ($nazione)
if ($citta) {
$citta_maius = ucwords($citta);
$citta_maius = addslashes($citta_maius);
esegui_query("update $tableclienti set citta = '$citta_maius' where idclienti = '$idclienti' ");
} # fine if ($citta)
if ($regione) {
$regione_maius = ucwords($regione);
$regione_maius = addslashes($regione_maius);
esegui_query("update $tableclienti set regione = '$regione_maius' where idclienti = '$idclienti' ");
} # fine if ($regione)
if ($nomevia) {
if ($lingua_mex != "ita") include("./includes/lang/$lingua_mex/ordine_frasi.php");
if ($ordine_strada == 2) $via = $nomevia . " " . $via;
else $via = $via . " " . $nomevia;
$via_maius = ucwords($via);
$via_maius = addslashes($via_maius);
esegui_query("update $tableclienti set via = '$via_maius' where idclienti = '$idclienti' ");
} # fine if ($nomevia)
if (get_magic_quotes_gpc()) $numcivico = stripslashes($numcivico);
$numcivico = addslashes($numcivico);
if ($numcivico) esegui_query("update $tableclienti set numcivico = '$numcivico' where idclienti = '$idclienti' ");
if (get_magic_quotes_gpc()) $cap = stripslashes($cap);
$cap = addslashes($cap);
if ($cap) esegui_query("update $tableclienti set cap = '$cap' where idclienti = '$idclienti' ");
if (get_magic_quotes_gpc()) $telefono = stripslashes($telefono);
$telefono = addslashes($telefono);
if ($telefono) esegui_query("update $tableclienti set telefono = '$telefono' where idclienti = '$idclienti' ");
if (get_magic_quotes_gpc()) $telefono2 = stripslashes($telefono2);
$telefono2 = addslashes($telefono2);
if ($telefono2) esegui_query("update $tableclienti set telefono2 = '$telefono2' where idclienti = '$idclienti' ");
if (get_magic_quotes_gpc()) $telefono3 = stripslashes($telefono3);
$telefono3 = addslashes($telefono3);
if ($telefono3) esegui_query("update $tableclienti set telefono3 = '$telefono3' where idclienti = '$idclienti' ");
if (get_magic_quotes_gpc()) $fax = stripslashes($fax);
$fax = addslashes($fax);
if ($fax) esegui_query("update $tableclienti set fax = '$fax' where idclienti = '$idclienti' ");
if (get_magic_quotes_gpc()) $email = stripslashes($email);
$email = addslashes($email);
if ($email) esegui_query("update $tableclienti set email = '$email' where idclienti = '$idclienti' ");
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"modifica_cliente.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"idclienti\" value=\"$idclienti\">
<input type=\"hidden\" name=\"origine\" value=\"inizio.php\">";
if ($cliente_modificato == "SI") echo mex("I dati del cliente",$pag)." $cognome ".mex("sono stati modificati",$pag).". ";
else echo mex("I dati del cliente",$pag)." $cognome ".mex("sono stati inseriti",$pag).". ";
echo "<input class=\"sbutton\" type=\"submit\" value=\"".mex("Modifica i dati del cliente",$pag)." $idclienti\">
</form>";
} # fine if ($inserire != "NO")
else echo mex("Non si è trovato nessun cliente chiamato",$pag)." $cognome.<br>";
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"$origine\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"idclienti\" value=\"$idclienti\">
<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Torna all'inserimento clienti",$pag)."\">
</form>";

unlock_tabelle($tabelle_lock);

} # fine if ($inserire)


} # fine else if ($inserire == "NO")

} # fine if ($inseriscicliente or $inserire)


} # fine else if ($inserire == "SI_NO")




if ($mostra_form_dati_cliente != "NO") {


if (!$titolo_form_dati_cliente) $titolo_form_dati_cliente = mex("Inserisci o modifica i dati di un cliente",$pag);
echo "<center><font size=+2>$titolo_form_dati_cliente.</font></center>";

# Questa è la form di inserimento

if ($origine == "") {
$origine = "clienti.php";
} # fine if ($origine == "")

echo "<br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"$origine\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"origine\" value=\"$origine\">
<hr width=\"95%\">
".mex("Cognome",$pag).": ";
if ($id_utente == 1 and $id_utente_ins != 1) {
$tableprivilegi = $PHPR_TAB_PRE."privilegi";
$privilegi_globali_utente = esegui_query("select * from $tableprivilegi where idutente = '$id_utente_ins' and anno = '1'");
$prefisso_clienti = risul_query($privilegi_globali_utente,0,prefisso_clienti);
$attiva_prefisso_clienti = substr($prefisso_clienti,0,1);
if ($attiva_prefisso_clienti != "n") {
$prefisso_clienti = explode(",",$prefisso_clienti);
$prefisso_clienti = $prefisso_clienti[1];
} # fine if ($prefisso_clienti != "n")
} # fine if ($id_utente == 1 and $id_utente_ins != 1)
if ($attiva_prefisso_clienti == "p") echo $prefisso_clienti;
echo "<input type=\"text\" name=\"cognome\" value=\"$cognome\">";
if ($attiva_prefisso_clienti == "s") echo $prefisso_clienti;
echo ",".mex("nome",$pag).": <input type=\"text\" name=\"nome\">;
".mex("sesso",$pag).": <select name=\"sesso\">
<option value=\"\" selected>-</option>
<option value=\"m\">m</option>
<option value=\"f\">f</option>
</select>;<br>
".mex("data di nascita",$pag).": <select name=\"giornonascita\">
<option value=\"\" selected>--</option>";
for ( $num = 1; $num <= 31; $num = $num + 1) {
if (strlen($num) == 1) $num = "0".$num;
echo "<option value=\"$num\">$num</option>";
} # fine for $num
echo "</select>/
<select name=\"mesenascita\">
<option value=\"\" selected>--</option>";
for ( $num = 1; $num <= 12; $num = $num + 1) {
if (strlen($num) == 1) $num = "0".$num;
echo "<option value=\"$num\">$num</option>";
} # fine for $num
echo "</select>/
<input type=\"text\" name=\"annonascita\" size=\"5\" maxlength=\"4\" value=\"19\"> (".mex("anno con 4 cifre",$pag).")<br>
".mex("Documento",$pag).": ";
$tipi_documento = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'tipi_documento' and idutente = '$id_utente'");
$tipi_documento = risul_query($tipi_documento,0,valpersonalizza);
if ($tipi_documento) {
echo "<select name=\"tipo_documento\">
<option value=\"\" selected>----</option>";
$tipi_documento = explode(",",$tipi_documento);
for ($num1 = 0 ; $num1 < count($tipi_documento) ; $num1++) {
echo "<option value=\"".$tipi_documento[$num1]."\">".$tipi_documento[$num1]."</option>";
} # fine for $num1
echo "</select>";
} # fine ($tipi_documento)
echo "<input type=\"text\" name=\"documento\">
".mex("scadenza",$pag).": <select name=\"giornoscaddoc\">
<option value=\"\" selected>--</option>";
for ( $num = 1; $num <= 31; $num = $num + 1) {
if (strlen($num) == 1) $num = "0".$num;
echo "<option value=\"$num\">$num</option>";
} # fine for $num
echo "</select>/
<select name=\"mesescaddoc\">
<option value=\"\" selected>--</option>";
for ( $num = 1; $num <= 12; $num = $num + 1) {
if (strlen($num) == 1) $num = "0".$num;
echo "<option value=\"$num\">$num</option>";
} # fine for $num
echo "</select>/
<select name=\"annoscaddoc\">
<option value=\"\" selected>--</option>";
$anno_corr = date("Y",(time() + (C_DIFF_ORE * 3600)));
for ( $num1 = 0; $num1 < 12; $num1++) {
$num = $anno_corr + $num1;
echo "<option value=\"$num\">$num</option>";
} # fine for $num
echo "</select>
<hr width=\"95%\">
".mex("Nazione",$pag).": <input type=\"text\" name=\"nazione\">,
".mex("città",$pag).": <input type=\"text\" name=\"citta\">,
".mex("regione",$pag).": <input type=\"text\" name=\"regione\">,<br>
<select name=\"via\">
<option value=\"".mex("Via",$pag)."\" selected>".mex("Via",$pag)."</option>
<option value=\"".mex("Piazza",$pag)."\">".mex("Piazza",$pag)."</option>
<option value=\"".mex("Viale",$pag)."\">".mex("Viale",$pag)."</option>
<option value=\"".mex("Piazzale",$pag)."\">".mex("Piazzale",$pag)."</option>
<option value=\"".mex("Vicolo",$pag)."\">".mex("Vicolo",$pag)."</option>
<option value=\"\">-----</option>
</select>
<input type=\"text\" name=\"nomevia\">
Nº<input type=\"text\" name=\"numcivico\" size=\"4\">,
  ".mex("CAP",$pag)."<input type=\"text\" name=\"cap\" size=\"6\">
<hr width=\"95%\">
".mex("Numero di telefono",$pag).": <input type=\"text\" name=\"telefono\"> 
".mex("Secondo telefono",$pag).": <input type=\"text\" name=\"telefono2\"><br>
".mex("Terzo telefono",$pag).": <input type=\"text\" name=\"telefono3\">
".mex("Numero di fax",$pag).": <input type=\"text\" name=\"fax\"><br>
E-mail: <input type=\"text\" name=\"email\" size=\"30\">
<hr width=\"95%\">
<center>".mex("Seconda persona di riferimento",$pag).".</center><br>
".mex("Cognome",$pag).": <input type=\"text\" name=\"cognome2\">,
".mex("nome",$pag).": <input type=\"text\" name=\"nome2\">;
".mex("sesso",$pag).": <select name=\"sesso2\">
<option value=\"\" selected>-</option>
<option value=\"m\">m</option>
<option value=\"f\">f</option>
</select>;<br>
".mex("data di nascita",$pag).": <select name=\"giornonascita2\">
<option value=\"\" selected>--</option>";
for ( $num = 1; $num <= 31; $num = $num + 1) {
if (strlen($num) == 1) $num = "0".$num;
echo "<option value=\"$num\">$num</option>";
} # fine for $num
echo "</select>/
<select name=\"mesenascita2\">
<option value=\"\" selected>--</option>";
for ( $num = 1; $num <= 12; $num = $num + 1) {
if (strlen($num) == 1) $num = "0".$num;
echo "<option value=\"$num\">$num</option>";
} # fine for $num
echo "</select>/
<input type=\"text\" name=\"annonascita2\" size=\"5\" maxlength=\"4\" value=\"19\"> (".mex("anno con 4 cifre",$pag).")<br>
".mex("Documento",$pag).": ";
$tipi_documento = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'tipi_documento' and idutente = '$id_utente'");
$tipi_documento = risul_query($tipi_documento,0,valpersonalizza);
if ($tipi_documento) {
echo "<select name=\"tipo_documento2\">
<option value=\"\" selected>----</option>";
$tipi_documento = explode(",",$tipi_documento);
for ($num1 = 0 ; $num1 < count($tipi_documento) ; $num1++) {
echo "<option value=\"".$tipi_documento[$num1]."\">".$tipi_documento[$num1]."</option>";
} # fine for $num1
echo "</select>";
} # fine ($tipi_documento)
echo "<input type=\"text\" name=\"documento2\">
".mex("scadenza",$pag).": <select name=\"giornoscaddoc2\">
<option value=\"\" selected>--</option>";
for ( $num = 1; $num <= 31; $num = $num + 1) {
if (strlen($num) == 1) $num = "0".$num;
echo "<option value=\"$num\">$num</option>";
} # fine for $num
echo "</select>/
<select name=\"mesescaddoc2\">
<option value=\"\" selected>--</option>";
for ( $num = 1; $num <= 12; $num = $num + 1) {
if (strlen($num) == 1) $num = "0".$num;
echo "<option value=\"$num\">$num</option>";
} # fine for $num
echo "</select>/
<select name=\"annoscaddoc2\">
<option value=\"\" selected>--</option>";
$anno_corr = date("Y",(time() + (C_DIFF_ORE * 3600)));
for ( $num1 = 0; $num1 < 12; $num1++) {
$num = $anno_corr + $num1;
echo "<option value=\"$num\">$num</option>";
} # fine for $num
echo "</select>
<hr width=\"95%\">
<center>";

if ($datiprenota) {
echo "<input class=\"sbutton\" type=\"submit\" name=\"inserire\" value=\"".mex("Inserisci i dati",$pag)."\">
<input type=\"hidden\" name=\"inserire_dati_cliente\" value=\"SI\">";
$manda_cognome = "NO";
$manda_dati_assegnazione = "NO";
include("./includes/dati_form_prenotazione.php");
$manda_cognome = "";
} # fine if ($datiprenota)
else {

echo "
<input class=\"sbutton\" type=\"submit\" name=\"inseriscicliente\" value=\"".mex("Inserisci i dati",$pag)."\">
";

} # fine else if ($datiprenota)

echo "</form>";

if (!$datiprenota) {
echo "<table><tr><td height=\"2\"></td></tr></table>
<form accept-charset=\"utf-8\" method=\"post\" action=\"inizio.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Torna al menù principale",$pag)."\">
<br></center></form>";
} # fine if (!$datiprenota)


} # fine if ($mostra_form_dati_cliente != "NO")


if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/foot.php");
else include("./includes/foot.php");


} # fine if ($anno_utente_attivato == "SI")
} # fine if ($id_utente)



?>

