<?php

##################################################################################
#    PHP-RESIDENCE
#    Copyright (C) 2001-2006 by Marco Maria Francesco De Santis (marco@digitaldruid.net)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##################################################################################

$pag = "crea_modelli.php";
$titolo = "Crea modelli PHP-Residence";

include("./dati/dati_connessione.php");
include("./includes/funzioni_$PHPR_DB_TYPE.php");
$numconnessione = connetti_db($PHPR_DB_NAME,$PHPR_DB_HOST,$PHPR_DB_PORT,$PHPR_DB_USER,$PHPR_DB_PASS,$PHPR_LOAD_EXT);
include("./includes/funzioni.php");
include("./includes/sett_gio.php");
include("./includes/funzioni_costi_agg.php");
$tablenometariffe = $PHPR_TAB_PRE."ntariffe".$anno;
$tableprenota = $PHPR_TAB_PRE."prenota".$anno;
$tableperiodi = $PHPR_TAB_PRE."periodi".$anno;
$tableregole = $PHPR_TAB_PRE."regole".$anno;
$tableanni = $PHPR_TAB_PRE."anni";
$tablepersonalizza = $PHPR_TAB_PRE."personalizza";
$tableutenti = $PHPR_TAB_PRE."utenti";


$id_utente = controlla_login($numconnessione,$PHPR_TAB_PRE,$id_sessione,$nome_utente_phpr,$password_phpr,$anno);
if ($id_utente and $id_utente == 1) {


if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/head.php");
else include("./includes/head.php");


$Euro = nome_valuta();

include("./includes/templates/funzioni_modelli.php");

if (strlen($lingua_modello) > 3 or (!@is_dir("./includes/lang/".$lingua_modello) and $lingua_modello != "ita") or str_replace(".","",$lingua_modello) != $lingua_modello) $lingua_modello = $lingua_mex;


if ($aggiungidatemenu or $eliminadatemenu) {
unset($crea_modello);
$$nome_form_modello_passa = "SI";
if ($aggiungidatemenu) $num_periodi_date++;
if ($eliminadatemenu) $num_periodi_date--;
if (@get_magic_quotes_gpc()) {
$apertura_tag_font = stripslashes($apertura_tag_font);
$chiusura_tag_font = stripslashes($chiusura_tag_font);
$apertura_font_quadro_disponibilita = stripslashes($apertura_font_quadro_disponibilita);
$chiusura_font_quadro_disponibilita = stripslashes($chiusura_font_quadro_disponibilita);
$prima_parte_html = stripslashes($prima_parte_html);
$ultima_parte_html = stripslashes($ultima_parte_html);
} # fine if (@get_magic_quotes_gpc())
} # fine if ($aggiungidatemenu or $eliminadatemenu)

if ($eliminacampipers or $aggiungicampipers) {
unset($crea_modello);
$$nome_form_modello_passa = "SI";
if ($aggiungicampipers) $num_campi_pers++;
if ($eliminacampipers) $num_campi_pers--;
if (@get_magic_quotes_gpc()) {
$apertura_tag_font = stripslashes($apertura_tag_font);
$chiusura_tag_font = stripslashes($chiusura_tag_font);
$apertura_font_quadro_disponibilita = stripslashes($apertura_font_quadro_disponibilita);
$chiusura_font_quadro_disponibilita = stripslashes($chiusura_font_quadro_disponibilita);
$prima_parte_html = stripslashes($prima_parte_html);
$ultima_parte_html = stripslashes($ultima_parte_html);
} # fine if (@get_magic_quotes_gpc())
} # fine if ($eliminacampipers or $aggiungicampipers)




if ($crea_modello) {
$mostra_form_creazione = "NO";

if (C_BACKUP_E_MODELLI_CON_NUOVI_DATI == "NO") $fonte_dati_conn = "attuali";
if ($fonte_dati_conn == "attuali") {
$M_PHPR_DB_TYPE = $PHPR_DB_TYPE;
$M_PHPR_DB_NAME = $PHPR_DB_NAME;
$M_PHPR_DB_HOST = $PHPR_DB_HOST;
$M_PHPR_DB_PORT = $PHPR_DB_PORT;
$M_PHPR_DB_USER = $PHPR_DB_USER;
$M_PHPR_DB_PASS = $PHPR_DB_PASS;
$M_PHPR_LOAD_EXT = $PHPR_LOAD_EXT;
$M_PHPR_TAB_PRE = $PHPR_TAB_PRE;
} # fine if ($fonte_dati_conn == "attuali")
if ($fonte_dati_conn == "nuovi") {
$M_PHPR_DB_TYPE = $T_PHPR_DB_TYPE;
$M_PHPR_DB_NAME = $T_PHPR_DB_NAME;
$M_PHPR_DB_HOST = $T_PHPR_DB_HOST;
$M_PHPR_DB_PORT = $T_PHPR_DB_PORT;
$M_PHPR_DB_USER = $T_PHPR_DB_USER;
$M_PHPR_DB_PASS = $T_PHPR_DB_PASS;
$M_PHPR_LOAD_EXT = $T_PHPR_LOAD_EXT;
$M_PHPR_TAB_PRE = $T_PHPR_TAB_PRE;
} # fine if ($fonte_dati_conn == "attuali")



if ($modello_disponibilita) {

include("./includes/templates/frasi_mod_disp.php");
include("./includes/templates/funzioni_mod_disp.php");
crea_modello_disponibilita($percorso_cartella_modello,$anno_modello,$PHPR_TAB_PRE,$pag,$lingua_modello,"NO",$fr_frase,$frase,$num_frasi,$tipo_periodi);

} # fine if ($modello_disponibilita)


else {
$templates_dir = opendir("./includes/templates/");
while ($modello_ext = readdir($templates_dir)) {
if ($modello_ext != "." and $modello_ext != ".." and @is_dir("./includes/templates/$modello_ext")) {
include("./includes/templates/$modello_ext/name.php");
if ($$template_name) {
$mostra_form_creazione = "NO";
include("./includes/templates/$modello_ext/phrases.php");
include("./includes/templates/$modello_ext/functions.php");
$funz_crea_modello = "crea_modello_".$modello_ext;
$funz_crea_modello($percorso_cartella_modello,$anno_modello,$PHPR_TAB_PRE,$pag,$lingua_modello,"NO",$fr_frase,$frase,$num_frasi,$tipo_periodi);
break;
} # fine if ($$template_name)
} # fine if ($modello_ext != "." and $modello_ext != ".." and...
} # fine while ($file = readdir($lang_dig))
closedir($templates_dir);
} # fine else if ($modello_disponibilita)


echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"crea_modelli.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"indietro\" value=\"".mex("OK",$pag)."\">
</form>";

} # fine if ($crea_modello)




if ($form_modello_disponibilita) {
$mostra_form_creazione = "NO";
include("./includes/templates/frasi_mod_disp.php");


esegui_query("delete from $tablepersonalizza where idpersonalizza = 'ultime_sel_crea_modelli' and idutente = '$id_utente'");
esegui_query("insert into $tablepersonalizza (idpersonalizza,valpersonalizza,idutente) values ('ultime_sel_crea_modelli','".addslashes($anno_modello).";;".addslashes($lingua_modello).";;".addslashes($m_stile_soldi).";;".addslashes($m_stile_data).";;".addslashes($m_valuta_sing).";;".addslashes($m_valuta_plur)."','$id_utente') ");

# Prendo i dati dal file se già esistente
$nome_file = mex2("modello_disponibilita",$pag,$lingua_modello).".php";
$SI = mex("SI",$pag);
$NO = mex("NO",$pag);
$modello_esistente = "NO";
if (@is_file("$percorso_cartella_modello/$nome_file")) {
$modello_esistente = "SI";
include("./includes/templates/funzioni_mod_disp.php");
recupera_var_modello_disponibilita($nome_file,$percorso_cartella_modello,$pag,$fr_frase,$num_frasi,$var_mod,$num_var_mod,$tipo_periodi,"NO",$anno_modello,$PHPR_TAB_PRE);
} # fine if (@is_file("$percorso_cartella_modello/$nome_file"))


echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"crea_modelli.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"crea_modello\" value=\"SI\">
<input type=\"hidden\" name=\"fonte_dati_conn\" value=\"$fonte_dati_conn\">
<input type=\"hidden\" name=\"T_PHPR_DB_TYPE\" value=\"$T_PHPR_DB_TYPE\">
<input type=\"hidden\" name=\"T_PHPR_DB_NAME\" value=\"$T_PHPR_DB_NAME\">
<input type=\"hidden\" name=\"T_PHPR_DB_HOST\" value=\"$T_PHPR_DB_HOST\">
<input type=\"hidden\" name=\"T_PHPR_DB_PORT\" value=\"$T_PHPR_DB_PORT\">
<input type=\"hidden\" name=\"T_PHPR_DB_USER\" value=\"$T_PHPR_DB_USER\">
<input type=\"hidden\" name=\"T_PHPR_DB_PASS\" value=\"$T_PHPR_DB_PASS\">
<input type=\"hidden\" name=\"T_PHPR_LOAD_EXT\" value=\"$T_PHPR_LOAD_EXT\">
<input type=\"hidden\" name=\"T_PHPR_TAB_PRE\" value=\"$T_PHPR_TAB_PRE\">
<input type=\"hidden\" name=\"anno_modello\" value=\"$anno_modello\">
<input type=\"hidden\" name=\"lingua_modello\" value=\"$lingua_modello\">
<input type=\"hidden\" name=\"m_stile_soldi\" value=\"$m_stile_soldi\">
<input type=\"hidden\" name=\"m_stile_data\" value=\"$m_stile_data\">
<input type=\"hidden\" name=\"m_valuta_sing\" value=\"$m_valuta_sing\">
<input type=\"hidden\" name=\"m_valuta_plur\" value=\"$m_valuta_plur\">

<center><font size=+1>".mex("Modello per controllare la disponibilità",$pag)."</font></center><br><br>
<table><tr><td valign=\"top\">
".mex("Date nei menù a tendina",$pag).":</td><td>";
if (!$num_periodi_date or controlla_num_pos($num_periodi_date) == "NO") $num_periodi_date = 1;
$numero_date_menu = $n_dates_menu;
$numero_data = 0;
for ($num1 = 0 ; $num1 < $num_periodi_date ; $num1++) {
echo mex("dal",$pag)." ";
mostra_menu_date("./dati/selectperiodi$anno_modello.1.php","inizioperiodo$num1",${"inizioperiodo".$num1},"","",$id_utente,$tema);
echo " ".mex("al",$pag)." ";
mostra_menu_date("./dati/selectperiodi$anno_modello.1.php","fineperiodo$num1",${"fineperiodo".$num1},"","",$id_utente,$tema);
if (!${"intervalloperiodo".$num1}) ${"intervalloperiodo".$num1} = 1;
echo ",&nbsp;".str_replace(" ","&nbsp;",mex("$parola_settimane di intervallo",$pag)).":&nbsp;
<input type=\"text\" name=\"intervalloperiodo$num1\" value=\"".${"intervalloperiodo".$num1}."\" size=\"2\" maxlength=\"2\"><br>";
} # fine for $num1
if (!$estendi_ultima_data or strtoupper($estendi_ultima_data) == $SI or $estendi_ultima_data == "SI") { $sel_SI = " selected"; $sel_NO = ""; }
else { $sel_NO = " selected"; $sel_SI = ""; }
echo "</td><td width=\"20\"></td><td valign=\"bottom\">";
if ($num_periodi_date > 1) echo "<input class=\"sbutton\" type=\"submit\" name=\"eliminadatemenu\" value=\"".mex("-",$pag)."\">&nbsp;";
echo "<input class=\"sbutton\" type=\"submit\" name=\"aggiungidatemenu\" value=\"".mex("+",$pag)."\">
<input type=\"hidden\" name=\"num_periodi_date\" value=\"$num_periodi_date\">
<input type=\"hidden\" name=\"nome_form_modello_passa\" value=\"form_modello_disponibilita\">
</td></tr></table>
".mex("Estendere l'ultima data fino a quella massima disponibile nel database?",$pag)."
<select name=\"estendi_ultima_data\">
<option value=\"SI\"$sel_SI>".mex("SI",$pag)."</option>
<option value=\"NO\"$sel_NO>".mex("NO",$pag)."</option>
</select><br><br>";

echo mex("Tariffe da mostrare ed eventuali loro nomi sostitutivi con cui mostrarle",$pag).":<br>
<table border=\"1\" cellspacing=\"0\" cellpadding=\"4\" align=\"center\"><tr>";
$celle = 1;
$num_colonne = 2;
$tablenometariffe_modello = $PHPR_TAB_PRE."ntariffe".$anno_modello;
$rigatariffe = esegui_query("select * from $tablenometariffe_modello where idntariffe = 1 ");
$numero_tariffe = risul_query($rigatariffe,0,nomecostoagg);
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa++) {
$tariffa = "tariffa".$numtariffa;
$nometariffa=risul_query($rigatariffe,0,$tariffa);
if ($nometariffa == "") {
$nometariffa = $tariffa;
$nometariffa_vedi = mex("tariffa",$pag).$numtariffa;
} # fine if ($nometariffa == "")
else $nometariffa_vedi = $nometariffa;
$nome_tariffa_imposto = "nome_tariffa_imposto".$numtariffa;
if (strtoupper($tariffe_mostra[$numtariffa]) == $SI) $checked = " checked";
else $checked = "";
if (!$tariffe_mostra["array_esistente"]) $checked = " checked";
$val = "";
if ($nomi_tariffe_imposte["array_esistente"]) $val = $nomi_tariffe_imposte[$numtariffa];
echo "<td><input type=\"checkbox\" name=\"$tariffa\" value=\"SI\"$checked> <b>$numtariffa</b>. $nometariffa_vedi
 (".mex("col nome",$pag)." <input type=\"text\" name=\"$nome_tariffa_imposto\" value=\"$val\" size=\"22\">)</td>";
if ($celle == $num_colonne) {
echo "</tr><tr>";
$celle = 0;
} # fine if ($celle == 3)
$celle++;
} # fine for $numtariffa
if ($celle != 1) for ($num1 = $celle ; $num1 <= $num_colonne ; $num1++) echo "<td>&nbsp;</td>";

if (!$chiedi_numero_appartamenti_per_tipologia or strtoupper($chiedi_numero_appartamenti_per_tipologia) == $SI) { $sel_SI = " selected"; $sel_NO = ""; }
else { $sel_NO = " selected"; $sel_SI = ""; }
if ($massimo_numero_appartamenti_per_tipologia) $val = $massimo_numero_appartamenti_per_tipologia;
else $val = 0;
if ($fr_appartamenti) $parola_appartamenti = $fr_appartamenti;
else $parola_appartamenti = mex2("appartamenti",$pag,$lingua_modello);
if ($fr_appartamento) $parola_appartamento = $fr_appartamento;
else $parola_appartamento = mex2("appartamento",$pag,$lingua_modello);
echo "</tr></table><br>
".mex("Chiedere il numero di appartamenti per ogni tipologia?",$pag)."
<select name=\"chiedi_num_app_tipologia\">
<option value=\"SI\"$sel_SI>".mex("SI",$pag)."</option>
<option value=\"NO\"$sel_NO>".mex("NO",$pag)."</option>
</select><br><table><tr><td width=\"25\"></td><td>
".mex("Numero massimo di appartamenti",$pag).":
 <input type=\"text\" name=\"max_num_app_tipologia\" size=\"3\" value=\"$val\">
(".mex("0 per scelta libera",$pag).").<br>
".mex("Parola da utilizzare per indicare gli appartamenti",$pag).":
 <input type=\"text\" name=\"parola_appartamenti\" size=\"15\" value=\"$parola_appartamenti\">;
 ".mex("singolare",$pag).": <input type=\"text\" name=\"parola_appartamento\" size=\"15\" value=\"$parola_appartamento\">
</td></tr></table><br>";

if (!$aggiungi_altre_tipologie or strtoupper($aggiungi_altre_tipologie) == $SI) { $sel_SI = " selected"; $sel_NO = ""; }
else { $sel_NO = " selected"; $sel_SI = ""; }
if ($massimo_numero_altre_tipologie) $val = $massimo_numero_altre_tipologie;
else $val = 3;
echo "".mex("Possibilità di aggiungere più tipologie da controllare contemporaneamente?",$pag)."
<select name=\"aggiungi_tipologie\">
<option value=\"SI\"$sel_SI>".mex("SI",$pag)."</option>
<option value=\"NO\"$sel_NO>".mex("NO",$pag)."</option>
</select><br><table><tr><td width=\"25\"></td><td>
".mex("Numero massimo di tipologie",$pag).":
 <input type=\"text\" name=\"max_num_tipologie\" size=\"3\" value=\"$val\">
</td></tr></table><br>";

if (!$chiedi_numero_persone or strtoupper($chiedi_numero_persone) == $NO) { $check_NO = " checked"; $check_SI = ""; }
else { $check_SI = " checked"; $check_NO = ""; }
if ($massimo_numero_persone) $val = $massimo_numero_persone;
else $val = 0;
echo "".mex("Chiedere il numero di persone?",$pag)."
 <input type=\"radio\" name=\"chiedi_num_persone\" value=\"NO\"$check_NO>".mex("No",$pag)."
 <input type=\"radio\" name=\"chiedi_num_persone\" value=\"SI\"$check_SI>".mex("Si",$pag)."<br>
<table><tr><td width=\"25\"></td><td>
".mex("Numero massimo di persone",$pag).":
 <input type=\"text\" name=\"max_num_persone\" size=\"3\" value=\"$val\">
(".mex("0 per scelta libera",$pag).").";
$dati_ca = dati_costi_agg_ntariffe($tablenometariffe_modello,"NO");
$select_costi_letto = "";
for ($numca = 0 ; $numca < $dati_ca[num] ; $numca++) {
if ($costo_aggiungi_letti == $dati_ca[$numca][id]) $sel = " selected";
else $sel = "";
if ($dati_ca[$numca][letto] == "s" and $dati_ca[$numca][numsett] != "c" and $dati_ca[$numca][mostra] == "s") $select_costi_letto .= "<option value=\"".$dati_ca[$numca][id]."\"$sel>".$dati_ca[$numca][nome]."</option>";
} # fine for $numca
if ($select_costi_letto) {
if ($costo_aggiungi_letti == "") $sel = " selected";
else $sel = "";
if ($massimo_numero_letti_aggiuntivi) $val = $massimo_numero_letti_aggiuntivi;
else $val = 2;
echo "<br>".mex("Se le persone superano la capienza massima utilizzare il costo aggiuntivo",$pag)."
<select name=\"costo_aggiungi_letti\">
<option value=\"\"$sel>----</option>
$select_costi_letto
</select><br>
<table><tr><td width=\"25\"></td><td>".mex("Se il costo può essere moltiplicato aggiungere al massimo",$pag)."
 <input type=\"text\" name=\"max_num_aggiungi_letti\" size=\"3\" value=\"$val\">
 ".mex("letti aggiuntivi",$pag).".</td></tr></table>";
} # fine if ($select_costi_letto)

if (!$chiedi_costi_aggiuntivi_di_pag_inserzione or strtoupper($chiedi_costi_aggiuntivi_di_pag_inserzione) == $SI) { $sel_SI = " selected"; $sel_NO = ""; }
else { $sel_NO = " selected"; $sel_SI = ""; }
if ($numero_colonne_costi_aggiuntivi) $val = $numero_colonne_costi_aggiuntivi;
else $val = 2;
echo "</td></tr></table><br>
".mex("Chidere se aggiungere i costi presenti nella pagina di inserzione prenotazioni?",$pag)."
 <select name=\"mostra_costi_aggiuntivi\">
<option value=\"SI\"$sel_SI>".mex("SI",$pag)."</option>
<option value=\"NO\"$sel_NO>".mex("NO",$pag)."</option>
</select><br><table><tr><td width=\"25\"></td><td>
".mex("Numero di colonne dei costi aggiuntivi",$pag).":
 <input type=\"text\" name=\"num_colonne_costi_agg\" size=\"3\" value=\"$val\">
</td></tr></table>";
if (!$aggiungi_costi_fissi or strtoupper($aggiungi_costi_fissi) == $SI) { $sel_SI = " selected"; $sel_NO = ""; }
else { $sel_NO = " selected"; $sel_SI = ""; }
echo "".mex("Aggiungere al prezzo i costi aggintivi fissi associati alle tariffe?",$pag)."
<select name=\"aggiungi_costi_fissi\">
<option value=\"SI\"$sel_SI>".mex("SI",$pag)."</option>
<option value=\"NO\"$sel_NO>".mex("NO",$pag)."</option>
</select><br><br>

".mex("Costi aggiuntivi da mostrare ed eventuali loro nomi sostitutivi con cui mostrarli",$pag).":<br>
<table border=\"1\" cellspacing=\"0\" cellpadding=\"4\" align=\"center\"><tr>";
$celle = 1;
$num_colonne = 2;
for ($numca = 0 ; $numca < $dati_ca[num] ; $numca++) {
if ($dati_ca[$numca][tipo] == "u") $tipo_costo = "Costo unico";
if ($dati_ca[$numca][tipo] == "s") $tipo_costo = "Costo $parola_settimanale";
$nome_costo_imposto = "nome_costo_imposto".$dati_ca[$numca][id];
if (!$costi_aggiuntivi_mostra["array_esistente"] or strtoupper($costi_aggiuntivi_mostra[$dati_ca[$numca][id]]) == $SI) $checked = " checked";
else $checked = "";
if ($nomi_costi_agg_imposti[$dati_ca[$numca][id]]) $val = $nomi_costi_agg_imposti[$dati_ca[$numca][id]];
else $val = "";
echo "<td><input type=\"checkbox\" name=\"attiva_costo".$dati_ca[$numca][id]."\" value=\"SI\"$checked>".mex("$tipo_costo",$pag)." ".$dati_ca[$numca][nome].":
 <input type=\"text\" name=\"$nome_costo_imposto\" value=\"$val\" size=\"22\"></td>";
if ($celle == $num_colonne) {
echo "</tr><tr>";
$celle = 0;
} # fine if ($celle == $num_colonne)
$celle++;
} # fine for $numca
if ($celle != 1) for ($num1 = $celle ; $num1 <= $num_colonne ; $num1++) echo "<td>&nbsp;</td>";
if ($dati_ca[num] == 0) echo "<td width=\"250\">&nbsp;</td>";
echo "</tr></table><br>";

if (!$assegna_con_regola2 or strtoupper($assegna_con_regola2) == $SI) echo "<input type=\"hidden\" name=\"assegna_con_regola2\" value=\"SI\">";
else echo "<input type=\"hidden\" name=\"assegna_con_regola2\" value=\"NO\">";
/*
if (!$assegna_con_regola2 or strtoupper($assegna_con_regola2) == $SI) { $sel_SI = " selected"; $sel_NO = ""; }
else { $sel_NO = " selected"; $sel_SI = ""; }
echo "".mex("Assegnare gli appartamenti in base alla tariffa scelta con la regola 2?",$pag)."
<select name=\"assegna_con_regola2\">
<option value=\"SI\"$sel_SI>".mex("SI",$pag)."</option>
<option value=\"NO\"$sel_NO>".mex("NO",$pag)."</option>
</select><br><br>";
*/

echo "".mex("Motivazioni della regola di assegnazone 1 da tenere in conto",$pag).":<br>
<table border=\"1\" cellspacing=\"0\" cellpadding=\"4\" align=\"center\"><tr>";
$celle = 1;
$num_colonne = 3;
$tableregole_modello = $PHPR_TAB_PRE."regole".$anno_modello;
$regole = esegui_query("select * from $tableregole_modello where app_agenzia != '' order by app_agenzia");
$num_regole = numlin_query($regole);
$motivazioni_presenti = "";
$num_motivazioni = 0;
for ($num1 = 0 ; $num1 < $num_regole ; $num1 = $num1 + 1) {
$idregole = risul_query($regole,$num1,idregole);
$motivazione = risul_query($regole,$num1,motivazione);
if (!$motivazione) {
$motivazione = " ";
$motivazione_vedi = mex("nessuna",$pag);
} # fine if (!$motivazione)
else $motivazione_vedi = $motivazione;
if ($motivazioni_presenti[$motivazione] != "SI") {
$motivazioni_presenti[$motivazione] = "SI";
$var_motivazione = "var_mot_".$num_motivazioni;
$num_motivazioni++;
if (!$considera_motivazioni_regola1["array_esistente"] or strtoupper($considera_motivazioni_regola1[$motivazione]) == $SI) $checked = " checked";
else $checked = "";
echo "<td><input type=\"checkbox\" name=\"$var_motivazione\" value=\"$motivazione\"$checked> $motivazione_vedi</td>";
if ($celle == $num_colonne) {
echo "</tr><tr>";
$celle = 0;
} # fine if ($celle == 3)
$celle++;
} # fine if ($motivazioni_presenti[$motivazione] != "SI")
} # fine for $num1
if ($celle != 1) for ($num1 = $celle ; $num1 <= $num_colonne ; $num1++) echo "<td>&nbsp;</td>";
if ($num_regole == 0) echo "<td width=\"250\">&nbsp;</td>";
if (!$mostra_frase_alternativa_regola1 or strtoupper($mostra_frase_alternativa_regola1) == $NO) { $check_NO = " checked"; $check_SI = ""; }
else { $check_SI = " checked"; $check_NO = ""; }
if ($fr_alternativa_regola1) $val = $fr_alternativa_regola1;
else $val = mex2("Disponibilità incerta per la tipologia scelta, per ulteriori informazioni contattateci via email",$pag,$lingua_modello);
echo "</tr></table>
<input type=\"hidden\" name=\"num_motivazioni\" value=\"$num_motivazioni\">
".mex("Se si deve occupare un appartamento della regola 1 con una delle motivazioni selezionate",$pag).":
<table border=0 cellspacing=0 cellpadding=0><tr>
<td width=\"20\"></td><td align=\"left\">
<input type=\"radio\" name=\"mostra_frase_alternativa_regola1\" value=\"NO\"$check_NO> ".mex("comportati come se non vi fosse più disponibilità",$pag)."<br>
<input type=\"radio\" name=\"mostra_frase_alternativa_regola1\" value=\"SI\"$check_SI> ".mex("dai ancora disponibilità con questa frase alternativa",$pag).":
 <input type=\"text\" name=\"frase_alternativa_regola1\" size=\"65\" value=\"$val\">
</td></tr></table><br>";

if (!$mostra_caparra or strtoupper($mostra_caparra) == $SI) { $sel_SI = " selected"; $sel_NO = ""; }
else { $sel_NO = " selected"; $sel_SI = ""; }
echo "".mex("Mostrare la caparra se presente?",$pag)."
<select name=\"mostra_caparra\">
<option value=\"SI\"$sel_SI>".mex("SI",$pag)."</option>
<option value=\"NO\"$sel_NO>".mex("NO",$pag)."</option>
</select><br>";
if (!$mostra_giorni_pieni or strtoupper($mostra_giorni_pieni) == $NO) { $sel_SI = ""; $sel_NO = " selected"; }
else { $sel_NO = ""; $sel_SI = " selected"; }
echo "".mex("Mostrare quali sono i giorni pieni all'interno dei periodi dove non c'è più disponibilità?",$pag)."
<select name=\"mostra_giorni_pieni\">
<option value=\"SI\"$sel_SI>".mex("SI",$pag)."</option>
<option value=\"NO\"$sel_NO>".mex("NO",$pag)."</option>
</select><br><br>";

if (!$mostra_richiesta_via_mail or strtoupper($mostra_richiesta_via_mail) == $SI) { $sel_NO = ""; $sel_SI = " selected"; }
else { $sel_SI = ""; $sel_NO = " selected"; }
if (!$indirizzo_email and $modello_esistente != "SI") {
$indirizzo_email = esegui_query("select * from $tablepersonalizza where idpersonalizza = 'indirizzo_email' and idutente = '$id_utente'");
$indirizzo_email = risul_query($indirizzo_email,0,valpersonalizza);
} # fine if (!$indirizzo_email and $modello_esistente != "SI")
if (!$ind_email and !$form_ricaricata) $ind_email = $indirizzo_email;
echo "".mex("Mostrare la form di richiesta prenotazione?",$pag)."
<select name=\"mostra_richiesta_via_mail\">
<option value=\"SI\"$sel_SI>".mex("SI",$pag)."</option>
<option value=\"NO\"$sel_NO>".mex("NO",$pag)."</option>
</select><br><table><tr><td width=\"25\"></td><td>
".mex("Inviare la richiesta di prenotazione come messaggio a",$pag)."
 <select name=\"utente_mess\">";
if ($modello_esistente != "SI") {
$utente_messaggio = esegui_query("select nome_utente from $tableutenti where idutenti = '1'");
$utente_messaggio = risul_query($utente_messaggio,0,nome_utente);
} # fine if ($modello_esistente != "SI")
if (!$utente_mess and !$form_ricaricata) $utente_mess = $utente_messaggio;
if (!$utente_mess) $sel_nessuno = " selected";
else $sel_nessuno = "";
if ($utente_messaggio == mex("tutti",$pag)) $sel_tutti = " selected";
else $sel_tutti = "";
echo "<option value=\"\"$sel_nessuno>".mex("----",$pag)."</option>
<option value=\"tutti\"$sel_tutti>".mex("tutti",$pag)."</option>";
$tutti_utenti = esegui_query("select nome_utente from $tableutenti order by idutenti");
$num_tutti_utenti = numlin_query($tutti_utenti);
for ($num1 = 0 ; $num1 < $num_tutti_utenti ; $num1++) {
$nome_utente = risul_query($tutti_utenti,$num1,nome_utente);
if ($utente_mess == $nome_utente) $sel = " selected";
else $sel = "";
echo "<option value=\"$nome_utente\"$sel>$nome_utente</option>";
} # fine for $num1
echo "</select><br>
".mex("Indirizzo email a cui inviare le richieste di prenotazione",$pag).":
 <input type=\"text\" name=\"ind_email\" value=\"$ind_email\" size=\"25\"><br>";
if (!$maschera_email) {
$maschera_email = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'maschera_email' and idutente = '1'");
$maschera_email = risul_query($maschera_email,0,valpersonalizza);
if ($maschera_email == "NO") $maschera_email = $NO;
else $maschera_email = $SI;
} # fine if (!$maschera_email)
if (strtoupper($maschera_email) == $NO) { $sel_SI = ""; $sel_NO = " selected"; }
else { $sel_NO = ""; $sel_SI = " selected"; }
echo "".mex("Mascherare la provenienza dell'email sull'envelope?",$pag)."
<select name=\"maschera_envelope\">
<option value=\"SI\"$sel_SI>".mex("SI",$pag)."</option>
<option value=\"NO\"$sel_NO>".mex("NO",$pag)."</option>
</select> (".mex("provare a cambiare se non si riescono a spedire le email",$pag).")<br>
".mex("Campi della form da chiedere",$pag).":<br>
<table>";
$f_necessario = mex("necessario",$pag);
$f_opzionale = mex("opzionale",$pag);
$f_non_chiedere = mex("non chiedere",$pag);
if (!$chiedi_cognome) $chiedi_cognome = $SI;
if ($chiedi_cognome == "SI") $chiedi_cognome = $SI;
if ($chiedi_cognome == "NO") $chiedi_cognome = $NO;
$chiedi_cognome = strtoupper($chiedi_cognome);
if ($chiedi_cognome != $SI and $chiedi_cognome != $NO) { $sel_SI = ""; $sel_opz = " selected"; $sel_NO = ""; }
if ($chiedi_cognome == $SI) { $sel_SI = " selected"; $sel_opz = ""; $sel_NO = ""; }
if ($chiedi_cognome == $NO) { $sel_SI = ""; $sel_opz = ""; $sel_NO = " selected"; }
echo "<tr><td width=\"25\"></td><td>".mex("Cognome",$pag)." <select name=\"chiedi_cognome\">
<option value=\"SI\"$sel_SI>$f_necessario</option>
<option value=\"opzionale\"$sel_opz>$f_opzionale</option>
<option value=\"NO\"$sel_NO>$f_non_chiedere</option>
</select></td>";
if (!$chiedi_nome) $chiedi_nome = $SI;
if ($chiedi_nome == "SI") $chiedi_nome = $SI;
if ($chiedi_nome == "NO") $chiedi_ = $NO;
$chiedi_nome = strtoupper($chiedi_nome);
if ($chiedi_nome != $SI and $chiedi_nome != $NO) { $sel_SI = ""; $sel_opz = " selected"; $sel_NO = ""; }
if ($chiedi_nome == $SI) { $sel_SI = " selected"; $sel_opz = ""; $sel_NO = ""; }
if ($chiedi_nome == $NO) { $sel_SI = ""; $sel_opz = ""; $sel_NO = " selected"; }
echo "<td width=\"15\"></td><td>".mex("Nome",$pag)." <select name=\"chiedi_nome\">
<option value=\"SI\"$sel_SI>$f_necessario</option>
<option value=\"opzionale\"$sel_opz>$f_opzionale</option>
<option value=\"NO\"$sel_NO>$f_non_chiedere</option>
</select></td></tr>";
if (!$chiedi_email) $chiedi_email = $SI;
if ($chiedi_email == "SI") $chiedi_email = $SI;
if ($chiedi_email == "NO") $chiedi_email = $NO;
$chiedi_email = strtoupper($chiedi_email);
if ($chiedi_email != $SI and $chiedi_email != $NO) { $sel_SI = ""; $sel_opz = " selected"; $sel_NO = ""; }
if ($chiedi_email == $SI) { $sel_SI = " selected"; $sel_opz = ""; $sel_NO = ""; }
if ($chiedi_email == $NO) { $sel_SI = ""; $sel_opz = ""; $sel_NO = " selected"; }
echo "<tr><td></td><td>".mex("Email",$pag)." <select name=\"chiedi_email\">
<option value=\"SI\"$sel_SI>$f_necessario</option>
<option value=\"opzionale\"$sel_opz>$f_opzionale</option>
<option value=\"NO\"$sel_NO>$f_non_chiedere</option>
</select></td>";
if (!$chiedi_sesso) $chiedi_sesso = $NO;
if ($chiedi_sesso == "SI") $chiedi_sesso = $SI;
if ($chiedi_sesso == "NO") $chiedi_sesso = $NO;
$chiedi_sesso = strtoupper($chiedi_sesso);
if ($chiedi_sesso != $SI and $chiedi_sesso != $NO) { $sel_SI = ""; $sel_opz = " selected"; $sel_NO = ""; }
if ($chiedi_sesso == $SI) { $sel_SI = " selected"; $sel_opz = ""; $sel_NO = ""; }
if ($chiedi_sesso == $NO) { $sel_SI = ""; $sel_opz = ""; $sel_NO = " selected"; }
echo "<td></td><td>".mex("Genere",$pag)." <select name=\"chiedi_sesso\">
<option value=\"SI\"$sel_SI>$f_necessario</option>
<option value=\"opzionale\"$sel_opz>$f_opzionale</option>
<option value=\"NO\"$sel_NO>$f_non_chiedere</option>
</select></td></tr>";
if (!$chiedi_datanascita) $chiedi_datanascita = $NO;
if ($chiedi_datanascita == "SI") $chiedi_datanascita = $SI;
if ($chiedi_datanascita == "NO") $chiedi_datanascita = $NO;
$chiedi_datanascita = strtoupper($chiedi_datanascita);
if ($chiedi_datanascita != $SI and $chiedi_datanascita != $NO) { $sel_SI = ""; $sel_opz = " selected"; $sel_NO = ""; }
if ($chiedi_datanascita == $SI) { $sel_SI = " selected"; $sel_opz = ""; $sel_NO = ""; }
if ($chiedi_datanascita == $NO) { $sel_SI = ""; $sel_opz = ""; $sel_NO = " selected"; }
echo "<tr><td></td><td>".mex("Data di nascita",$pag)." <select name=\"chiedi_datanascita\">
<option value=\"SI\"$sel_SI>$f_necessario</option>
<option value=\"opzionale\"$sel_opz>$f_opzionale</option>
<option value=\"NO\"$sel_NO>$f_non_chiedere</option>
</select></td>";
if (!$chiedi_documento) $chiedi_documento = $NO;
if ($chiedi_documento == "SI") $chiedi_documento = $SI;
if ($chiedi_documento == "NO") $chiedi_documento = $NO;
$chiedi_documento = strtoupper($chiedi_documento);
if ($chiedi_documento != $SI and $chiedi_documento != $NO) { $sel_SI = ""; $sel_opz = " selected"; $sel_NO = ""; }
if ($chiedi_documento == $SI) { $sel_SI = " selected"; $sel_opz = ""; $sel_NO = ""; }
if ($chiedi_documento == $NO) { $sel_SI = ""; $sel_opz = ""; $sel_NO = " selected"; }
echo "<td></td><td>".mex("Documento",$pag)." <select name=\"chiedi_documento\">
<option value=\"SI\"$sel_SI>$f_necessario</option>
<option value=\"opzionale\"$sel_opz>$f_opzionale</option>
<option value=\"NO\"$sel_NO>$f_non_chiedere</option>
</select></td></tr>";
if (!$chiedi_nazione) $chiedi_nazione = "opzionale";
if ($chiedi_nazione == "SI") $chiedi_nazione = $SI;
if ($chiedi_nazione == "NO") $chiedi_nazione = $NO;
$chiedi_nazione = strtoupper($chiedi_nazione);
if ($chiedi_nazione != $SI and $chiedi_nazione != $NO) { $sel_SI = ""; $sel_opz = " selected"; $sel_NO = ""; }
if ($chiedi_nazione == $SI) { $sel_SI = " selected"; $sel_opz = ""; $sel_NO = ""; }
if ($chiedi_nazione == $NO) { $sel_SI = ""; $sel_opz = ""; $sel_NO = " selected"; }
echo "<tr><td></td><td>".mex("Nazione",$pag)." <select name=\"chiedi_nazione\">
<option value=\"SI\"$sel_SI>$f_necessario</option>
<option value=\"opzionale\"$sel_opz>$f_opzionale</option>
<option value=\"NO\"$sel_NO>$f_non_chiedere</option>
</select></td>";
if (!$chiedi_regione) $chiedi_regione = $NO;
if ($chiedi_regione == "SI") $chiedi_regione = $SI;
if ($chiedi_regione == "NO") $chiedi_regione = $NO;
$chiedi_regione = strtoupper($chiedi_regione);
if ($chiedi_regione != $SI and $chiedi_regione != $NO) { $sel_SI = ""; $sel_opz = " selected"; $sel_NO = ""; }
if ($chiedi_regione == $SI) { $sel_SI = " selected"; $sel_opz = ""; $sel_NO = ""; }
if ($chiedi_regione == $NO) { $sel_SI = ""; $sel_opz = ""; $sel_NO = " selected"; }
echo "<td></td><td>".mex("Regione",$pag)." <select name=\"chiedi_regione\">
<option value=\"SI\"$sel_SI>$f_necessario</option>
<option value=\"opzionale\"$sel_opz>$f_opzionale</option>
<option value=\"NO\"$sel_NO>$f_non_chiedere</option>
</select></td></tr>";
if (!$chiedi_citta) $chiedi_citta = $NO;
if ($chiedi_citta == "SI") $chiedi_citta = $SI;
if ($chiedi_citta == "NO") $chiedi_citta = $NO;
$chiedi_citta = strtoupper($chiedi_citta);
if ($chiedi_citta != $SI and $chiedi_citta != $NO) { $sel_SI = ""; $sel_opz = " selected"; $sel_NO = ""; }
if ($chiedi_citta == $SI) { $sel_SI = " selected"; $sel_opz = ""; $sel_NO = ""; }
if ($chiedi_citta == $NO) { $sel_SI = ""; $sel_opz = ""; $sel_NO = " selected"; }
echo "<tr><td></td><td>".mex("Città",$pag)." <select name=\"chiedi_citta\">
<option value=\"SI\"$sel_SI>$f_necessario</option>
<option value=\"opzionale\"$sel_opz>$f_opzionale</option>
<option value=\"NO\"$sel_NO>$f_non_chiedere</option>
</select></td>";
if (!$chiedi_via) $chiedi_via = $NO;
if ($chiedi_via == "SI") $chiedi_via = $SI;
if ($chiedi_via == "NO") $chiedi_via = $NO;
$chiedi_via = strtoupper($chiedi_via);
if ($chiedi_via != $SI and $chiedi_via != $NO) { $sel_SI = ""; $sel_opz = " selected"; $sel_NO = ""; }
if ($chiedi_via == $SI) { $sel_SI = " selected"; $sel_opz = ""; $sel_NO = ""; }
if ($chiedi_via == $NO) { $sel_SI = ""; $sel_opz = ""; $sel_NO = " selected"; }
echo "<td></td><td>".mex("Via",$pag)." <select name=\"chiedi_via\">
<option value=\"SI\"$sel_SI>$f_necessario</option>
<option value=\"opzionale\"$sel_opz>$f_opzionale</option>
<option value=\"NO\"$sel_NO>$f_non_chiedere</option>
</select></td></tr>";
if (!$chiedi_numcivico) $chiedi_numcivico = $NO;
if ($chiedi_numcivico == "SI") $chiedi_numcivico = $SI;
if ($chiedi_numcivico == "NO") $chiedi_numcivico = $NO;
$chiedi_numcivico = strtoupper($chiedi_numcivico);
if ($chiedi_numcivico != $SI and $chiedi_numcivico != $NO) { $sel_SI = ""; $sel_opz = " selected"; $sel_NO = ""; }
if ($chiedi_numcivico == $SI) { $sel_SI = " selected"; $sel_opz = ""; $sel_NO = ""; }
if ($chiedi_numcivico == $NO) { $sel_SI = ""; $sel_opz = ""; $sel_NO = " selected"; }
echo "<tr><td></td><td>".mex("Numero civico",$pag)." <select name=\"chiedi_numcivico\">
<option value=\"SI\"$sel_SI>$f_necessario</option>
<option value=\"opzionale\"$sel_opz>$f_opzionale</option>
<option value=\"NO\"$sel_NO>$f_non_chiedere</option>
</select></td>";
if (!$chiedi_cap) $chiedi_cap = $NO;
if ($chiedi_cap == "SI") $chiedi_cap = $SI;
if ($chiedi_cap == "NO") $chiedi_cap = $NO;
$chiedi_cap = strtoupper($chiedi_cap);
if ($chiedi_cap != $SI and $chiedi_cap != $NO) { $sel_SI = ""; $sel_opz = " selected"; $sel_NO = ""; }
if ($chiedi_cap == $SI) { $sel_SI = " selected"; $sel_opz = ""; $sel_NO = ""; }
if ($chiedi_cap == $NO) { $sel_SI = ""; $sel_opz = ""; $sel_NO = " selected"; }
echo "<td></td><td>".mex("Codice postale",$pag)." <select name=\"chiedi_cap\">
<option value=\"SI\"$sel_SI>$f_necessario</option>
<option value=\"opzionale\"$sel_opz>$f_opzionale</option>
<option value=\"NO\"$sel_NO>$f_non_chiedere</option>
</select></td></tr>";
if (!$chiedi_telefono) $chiedi_telefono = "opzionale";
if ($chiedi_telefono == "SI") $chiedi_telefono = $SI;
if ($chiedi_telefono == "NO") $chiedi_telefono = $NO;
$chiedi_telefono = strtoupper($chiedi_telefono);
if ($chiedi_telefono != $SI and $chiedi_telefono != $NO) { $sel_SI = ""; $sel_opz = " selected"; $sel_NO = ""; }
if ($chiedi_telefono == $SI) { $sel_SI = " selected"; $sel_opz = ""; $sel_NO = ""; }
if ($chiedi_telefono == $NO) { $sel_SI = ""; $sel_opz = ""; $sel_NO = " selected"; }
echo "<tr><td></td><td>".mex("Telefono",$pag)." <select name=\"chiedi_telefono\">
<option value=\"SI\"$sel_SI>$f_necessario</option>
<option value=\"opzionale\"$sel_opz>$f_opzionale</option>
<option value=\"NO\"$sel_NO>$f_non_chiedere</option>
</select></td>";
if (!$chiedi_telefono2) $chiedi_telefono2 = $NO;
if ($chiedi_telefono2 == "SI") $chiedi_telefono2 = $SI;
if ($chiedi_telefono2 == "NO") $chiedi_telefono2 = $NO;
$chiedi_telefono2 = strtoupper($chiedi_telefono2);
if ($chiedi_telefono2 != $SI and $chiedi_telefono2 != $NO) { $sel_SI = ""; $sel_opz = " selected"; $sel_NO = ""; }
if ($chiedi_telefono2 == $SI) { $sel_SI = " selected"; $sel_opz = ""; $sel_NO = ""; }
if ($chiedi_telefono2 == $NO) { $sel_SI = ""; $sel_opz = ""; $sel_NO = " selected"; }
echo "<td></td><td>".mex("Secondo telefono",$pag)." <select name=\"chiedi_telefono2\">
<option value=\"SI\"$sel_SI>$f_necessario</option>
<option value=\"opzionale\"$sel_opz>$f_opzionale</option>
<option value=\"NO\"$sel_NO>$f_non_chiedere</option>
</select></td></tr>";
if (!$chiedi_telefono3) $chiedi_telefono3 = $NO;
if ($chiedi_telefono3 == "SI") $chiedi_telefono3 = $SI;
if ($chiedi_telefono3 == "NO") $chiedi_telefono3 = $NO;
$chiedi_telefono3 = strtoupper($chiedi_telefono3);
if ($chiedi_telefono3 != $SI and $chiedi_telefono3 != $NO) { $sel_SI = ""; $sel_opz = " selected"; $sel_NO = ""; }
if ($chiedi_telefono3 == $SI) { $sel_SI = " selected"; $sel_opz = ""; $sel_NO = ""; }
if ($chiedi_telefono3 == $NO) { $sel_SI = ""; $sel_opz = ""; $sel_NO = " selected"; }
echo "<tr><td></td><td>".mex("Terzo telefono",$pag)." <select name=\"chiedi_telefono3\">
<option value=\"SI\"$sel_SI>$f_necessario</option>
<option value=\"opzionale\"$sel_opz>$f_opzionale</option>
<option value=\"NO\"$sel_NO>$f_non_chiedere</option>
</select></td>";
if (!$chiedi_fax) $chiedi_fax = $NO;
if ($chiedi_fax == "SI") $chiedi_fax = $SI;
if ($chiedi_fax == "NO") $chiedi_fax = $NO;
$chiedi_fax = strtoupper($chiedi_fax);
if ($chiedi_fax != $SI and $chiedi_fax != $NO) { $sel_SI = ""; $sel_opz = " selected"; $sel_NO = ""; }
if ($chiedi_fax == $SI) { $sel_SI = " selected"; $sel_opz = ""; $sel_NO = ""; }
if ($chiedi_fax == $NO) { $sel_SI = ""; $sel_opz = ""; $sel_NO = " selected"; }
echo "<td></td><td>".mex("Fax",$pag)." <select name=\"chiedi_fax\">
<option value=\"SI\"$sel_SI>$f_necessario</option>
<option value=\"opzionale\"$sel_opz>$f_opzionale</option>
<option value=\"NO\"$sel_NO>$f_non_chiedere</option>
</select></td></tr>";
if (!$chiedi_commento) $chiedi_commento = "opzionale";
if ($chiedi_commento == "SI") $chiedi_commento = $SI;
if ($chiedi_commento == "NO") $chiedi_commento = $NO;
$chiedi_commento = strtoupper($chiedi_commento);
if ($chiedi_commento != $SI and $chiedi_commento != $NO) { $sel_SI = ""; $sel_opz = " selected"; $sel_NO = ""; }
if ($chiedi_commento == $SI) { $sel_SI = " selected"; $sel_opz = ""; $sel_NO = ""; }
if ($chiedi_commento == $NO) { $sel_SI = ""; $sel_opz = ""; $sel_NO = " selected"; }
echo "<tr><td></td><td>".mex("Commento",$pag)." <select name=\"chiedi_commento\">
<option value=\"SI\"$sel_SI>$f_necessario</option>
<option value=\"opzionale\"$sel_opz>$f_opzionale</option>
<option value=\"NO\"$sel_NO>$f_non_chiedere</option>
</select></td>";
if (!$chiedi_oracheckin) $chiedi_oracheckin = $NO;
if ($chiedi_oracheckin == "SI") $chiedi_oracheckin = $SI;
if ($chiedi_oracheckin == "NO") $chiedi_oracheckin = $NO;
$chiedi_oracheckin = strtoupper($chiedi_oracheckin);
if ($chiedi_oracheckin != $SI and $chiedi_oracheckin != $NO) { $sel_SI = ""; $sel_opz = " selected"; $sel_NO = ""; }
if ($chiedi_oracheckin == $SI) { $sel_SI = " selected"; $sel_opz = ""; $sel_NO = ""; }
if ($chiedi_oracheckin == $NO) { $sel_SI = ""; $sel_opz = ""; $sel_NO = " selected"; }
echo "<td></td><td><font size=\"-1\">".mex("Orario stimato di arrivo",$pag)."</font> <select name=\"chiedi_oracheckin\">
<option value=\"SI\"$sel_SI>$f_necessario</option>
<option value=\"opzionale\"$sel_opz>$f_opzionale</option>
<option value=\"NO\"$sel_NO>$f_non_chiedere</option>
</select></td></tr>";
if (!$chiedi_metodopagamento) $chiedi_metodopagamento = $NO;
if ($chiedi_metodopagamento == "SI") $chiedi_metodopagamento = $SI;
if ($chiedi_metodopagamento == "NO") $chiedi_metodopagamento = $NO;
$chiedi_metodopagamento = strtoupper($chiedi_metodopagamento);
if ($chiedi_metodopagamento != $SI and $chiedi_metodopagamento != $NO) { $sel_SI = ""; $sel_opz = " selected"; $sel_NO = ""; }
if ($chiedi_metodopagamento == $SI) { $sel_SI = " selected"; $sel_opz = ""; $sel_NO = ""; }
if ($chiedi_metodopagamento == $NO) { $sel_SI = ""; $sel_opz = ""; $sel_NO = " selected"; }
echo "<tr><td></td><td><font size=\"-1\">".mex("Metodo di pagamento della caparra",$pag)."</font> <select name=\"chiedi_metodopagamento\">
<option value=\"SI\"$sel_SI>$f_necessario</option>
<option value=\"opzionale\"$sel_opz>$f_opzionale</option>
<option value=\"NO\"$sel_NO>$f_non_chiedere</option>
</select></td><td></td><td></td></tr>";

$metodi_pagamento = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'metodi_pagamento' and idutente = '1'");
$metodi_pagamento = risul_query($metodi_pagamento,0,valpersonalizza);
if ($num_metodi_pagamento) $utilizza_var_passate = "SI";
if ($metodi_pagamento) {
echo "<tr><td></td><td colspan=\"3\">".mex("Metodi di pagamento della caparra da chiedere e loro eventuali nomi sostitutivi",$pag).":<br>";
$metodi_pagamento = explode(",",$metodi_pagamento);
$num_metodi_pagamento = count($metodi_pagamento);
echo "<table border=\"1\" cellspacing=\"0\" cellpadding=\"4\"><tr>";
$celle = 1;
$num_colonne = 2;
for ($num1 = 0 ; $num1 < $num_metodi_pagamento ; $num1++) {
$metodo = $metodi_pagamento[$num1];
if ($utilizza_var_passate == "SI") {
if (${"var_met_paga_".$num1}) $checked = " checked";
else $checked = "";
if (${"nome_met_paga_imposto_".$num1}) $val = ${"nome_met_paga_imposto_".$num1};
else $val = "";
} # fine if ($utilizza_var_passate == "SI")
else {
if (!$metodi_pagamento_da_chiedere["array_esistente"] or strtoupper($metodi_pagamento_da_chiedere[$metodo]) == $SI) $checked = " checked";
else $checked = "";
if ($nomi_metodi_pagamento_imposti[$metodo]) $val = $nomi_metodi_pagamento_imposti[$metodo];
else $val = "";
} # fine else if ($utilizza_var_passate == "SI")
echo "<td><input type=\"checkbox\" name=\"var_met_paga_"."$num1\" value=\"$metodo\"$checked>$metodo".":
 <input type=\"text\" name=\"nome_met_paga_imposto_"."$num1\" value=\"$val\" size=\"22\"></td>";
if ($celle == $num_colonne) {
echo "</tr><tr>";
$celle = 0;
} # fine if ($celle == 3)
$celle++;
} # fine for $num1
if ($celle != 1) for ($num1 = $celle ; $num1 <= $num_colonne ; $num1++) echo "<td>&nbsp;</td>";
echo "<input type=\"hidden\" name=\"num_metodi_pagamento\" value=\"$num_metodi_pagamento\">
</tr></table></td></tr>";
} # fine if ($metodi_pagamento)
echo "<tr><td heigth=\"5\"></td></tr></table>

".mex("Campi della form personalizzati",$pag).":<br>
<table><tr><td width=\"25\"></td><td valign=\"top\">";
if (!$num_campi_pers and $campi_form_personalizzati["array_esistente"]) $num_campi_pers = (count($campi_form_personalizzati) - 1);
if (!$num_campi_pers or controlla_num_pos($num_campi_pers) == "NO") $num_campi_pers = 1;
for ($num1 = 1 ; $num1 <= $num_campi_pers ; $num1++) {
if (!${"campo_pers".$num1}) ${"campo_pers".$num1} = $campi_form_personalizzati[$num1];
if (!${"chiedi_campo_pers".$num1}) ${"chiedi_campo_pers".$num1} = $chiedi_campi_form_personalizzati[$num1];
if (${"chiedi_campo_pers".$num1} == "SI") ${"chiedi_campo_pers".$num1} = $SI;
if (${"chiedi_campo_pers".$num1} == $SI) { $sel_SI = " selected"; $sel_opz = ""; }
else { $sel_SI = ""; $sel_opz = " selected"; }
echo "$num1".". <input type=\"text\" name=\"campo_pers$num1\" value=\"".${"campo_pers".$num1}."\" size=\"25\">
 <select name=\"chiedi_campo_pers$num1\">
<option value=\"SI\"$sel_SI>$f_necessario</option>
<option value=\"opzionale\"$sel_opz>$f_opzionale</option>
</select><br>";
} # fine for $num1
echo "</td><td width=\"20\"></td><td valign=\"bottom\">";
if ($num_campi_pers > 1) echo "<input class=\"sbutton\" type=\"submit\" name=\"eliminacampipers\" value=\"".mex("-",$pag)."\">&nbsp;";
echo "<input class=\"sbutton\" type=\"submit\" name=\"aggiungicampipers\" value=\"".mex("+",$pag)."\">
<input type=\"hidden\" name=\"num_campi_pers\" value=\"$num_campi_pers\"></td></tr></table>";

echo "</td></tr></table><br>";

$sel_NO = "";
$sel_APP = "";
$sel_REG2 = "";
$sel_PERS = "";
if (!$mostra_quadro_disponibilita or strtoupper($mostra_quadro_disponibilita) == $NO) $sel_NO = " selected";
else {
if (strtoupper($raggruppa_quadro_disponibilita_con_regola_2) == $SI) $sel_REG2 = " selected";
else {
if (strtoupper($raggruppa_quadro_disponibilita_con_persone) == $SI) $sel_PERS = " selected";
else $sel_APP = " selected";
} # fine else if ($raggruppa_quadro_disponibilita_con_regola_2 == $SI)
} # fine else if ($raggruppa_quadro_disponibilita_con_regola_2 == $SI)
echo "".mex("Mostrare il quadro indicativo della disponibilità?",$pag)."
<select name=\"mostra_quadro_disp\">
<option value=\"\"$sel_NO>".mex("Non mostrare",$pag)."</option>
<option value=\"app\"$sel_APP>".mex("Senza raggruppare gli appartamenti",$pag)."</option>
<option value=\"reg2\"$sel_REG2>".mex("Raggruppando gli appartamenti con la regola di assegnazione 2",$pag)."</option>
<option value=\"pers\"$sel_PERS>".mex("Raggruppando gli appartamenti per numero di persone",$pag)."</option>
</select><br><table><tr><td width=\"25\"></td><td>";
if (!$mostra_quadro_disponibilita and !$colore_sfondo_quadro_disponibilita) $colore_sfondo_quadro_disponibilita = "#dddddd";
else $colore_sfondo_quadro_disponibilita = htmlspecialchars($colore_sfondo_quadro_disponibilita);
if (!$mostra_quadro_disponibilita and !$colore_inizio_settimana_quadro_disponibilita) $colore_inizio_settimana_quadro_disponibilita = "#bbbbbb";
else $colore_inizio_settimana_quadro_disponibilita = htmlspecialchars($colore_inizio_settimana_quadro_disponibilita);
if (!$mostra_quadro_disponibilita and !$colore_libero_quadro_disponibilita) $colore_libero_quadro_disponibilita = "#0cc80c";
else $colore_libero_quadro_disponibilita = htmlspecialchars($colore_libero_quadro_disponibilita);
if (!$mostra_quadro_disponibilita and !$colore_occupato_quadro_disponibilita) $colore_occupato_quadro_disponibilita = "#f8011e";
else $colore_occupato_quadro_disponibilita = htmlspecialchars($colore_occupato_quadro_disponibilita);
if (!$mostra_quadro_disponibilita and !$apertura_font_quadro_disponibilita) $apertura_font_quadro_disponibilita = "<font size=&quot;-2&quot;>";
else $apertura_font_quadro_disponibilita = htmlspecialchars($apertura_font_quadro_disponibilita);
if (!$mostra_quadro_disponibilita and !$chiusura_font_quadro_disponibilita) $chiusura_font_quadro_disponibilita = "</font>";
else $chiusura_font_quadro_disponibilita = htmlspecialchars($chiusura_font_quadro_disponibilita);
echo "".mex("Colore di sfondo della tabella",$pag).":
 <input type=\"text\" name=\"colore_sfondo_quadro_disponibilita\" value=\"$colore_sfondo_quadro_disponibilita\" size=\"10\"><br>
".mex("Colore del giorno di inizio settimana",$pag).":
 <input type=\"text\" name=\"colore_inizio_settimana_quadro_disponibilita\" value=\"$colore_inizio_settimana_quadro_disponibilita\" size=\"10\"><br>
".mex("Colore dei periodi liberi",$pag).":
 <input type=\"text\" name=\"colore_libero_quadro_disponibilita\" value=\"$colore_libero_quadro_disponibilita\" size=\"10\"><br>
".mex("Colore dei periodi occupati",$pag).":
 <input type=\"text\" name=\"colore_occupato_quadro_disponibilita\" value=\"$colore_occupato_quadro_disponibilita\" size=\"10\"><br>
".mex("Tag di apertura dei font della tabella",$pag).":
 <input type=\"text\" name=\"apertura_font_quadro_disponibilita\" value=\"$apertura_font_quadro_disponibilita\" size=\"25\"><br>
".mex("Tag di chiusura dei font della tabella",$pag).":
 <input type=\"text\" name=\"chiusura_font_quadro_disponibilita\" value=\"$chiusura_font_quadro_disponibilita\" size=\"25\"><br>";
if (!$mostra_numero_liberi_quadro_disponibilita or strtoupper($mostra_numero_liberi_quadro_disponibilita) == $NO) { $sel_SI = ""; $sel_NO = " selected"; }
else { $sel_NO = ""; $sel_SI = " selected"; }
echo "".mex("Mostrare il numero di appartamenti liberi?",$pag)."
<select name=\"mostra_numero_liberi_quadro_disponibilita\">
<option value=\"SI\"$sel_SI>".mex("SI",$pag)."</option>
<option value=\"NO\"$sel_NO>".mex("NO",$pag)."</option>
</select>
</td></tr></table><br>";

if (!$apertura_tag_font) $apertura_tag_font = "<font color=&quot;#000000&quot;>";
else $apertura_tag_font = htmlspecialchars($apertura_tag_font);
if (!$chiusura_tag_font) $chiusura_tag_font = "</font>";
else $chiusura_tag_font = htmlspecialchars($chiusura_tag_font);
echo "".mex("Tag html di apertura per la formattazione dei font",$pag).":
 <input type=\"text\" name=\"apertura_tag_font\" size=\"25\" value=\"$apertura_tag_font\"><br>
".mex("Tag html di chiusura per la formattazione dei font",$pag).":
 <input type=\"text\" name=\"chiusura_tag_font\" size=\"25\" value=\"$chiusura_tag_font\"><br>";

if (!$prima_parte_html) {
$prima_parte_html = "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">
<html>
<head>
<meta http-equiv=\"Content-Type\" content=\"text/html;charset=utf-8\">
<title> $nome_file </title>
</head>
<body bgcolor=\"#ffffff\">

<center><font size=\"+2\">".mex2("Controlla la disponibilità",$pag,$lingua_modello)."</font></center>
<br><br>

<table align=\"center\" border=1 cellspacing=0 cellpadding=16><tr><td>";
} # fine if (!$prima_parte_html)
else $prima_parte_html = htmlspecialchars($prima_parte_html);
if (!$ultima_parte_html) {
$ultima_parte_html = "
<br>
</td></tr></table>

<center><font size=\"-2\" color=\"#222222\">Powered by 
<a href=\"http://www.digitaldruid.net/php-residence/en/\">
<font color=\"#222222\">php-residence</font>
</a></font></center>

</body>
</html>";
} # fine if (!$ultima_parte_html)
else $ultima_parte_html = htmlspecialchars($ultima_parte_html);
echo "<br>".mex("Parte html del file prima della form di disponibilità",$pag).":<br>
<textarea name=\"prima_parte_html\" rows=12 cols=90>$prima_parte_html
</textarea><br>
<br>".mex("Parte html del file dopo la form di disponibilità",$pag).":<br>
<textarea name=\"ultima_parte_html\" rows=12 cols=90>
$ultima_parte_html
</textarea><br>

<input type=\"hidden\" name=\"cambia_frasi\" value=\"$cambia_frasi\">
<input type=\"hidden\" name=\"modello_esistente\" value=\"$modello_esistente\">";
if ($cambia_frasi) {
echo "<br><table bgcolor=\"#000000\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" align=\"center\">
<tr><td><table border=\"0\" cellpadding=\"4\" cellspacing=\"1\" width=\"100%\">
<tr><td bgcolor=\"#faffff\">
<b>".mex("Frasi predefinite",$pag)."</b><br>
<table><tr><td height=2></td></tr></table>";
if ($modello_esistente == "SI") {
for ($num_fr = 0 ; $num_fr < $num_frasi ; $num_fr++) echo "".mex($frase[$num_fr],$pag).": <input type=\"text\" name=\"".$fr_frase[$num_fr]."\" size=\"45\" value=\"".str_replace("\"","&quot;",${$fr_frase[$num_fr]})."\"><br>";
} # fine if ($modello_esistente == "SI")
else {
for ($num_fr = 0 ; $num_fr < $num_frasi ; $num_fr++) echo "".mex($frase[$num_fr],$pag).": <input type=\"text\" name=\"".$fr_frase[$num_fr]."\" size=\"45\" value=\"".mex2($frase[$num_fr],$pag,$lingua_modello)."\"><br>";
} # fine else if ($modello_esistente == "SI")
echo "</td></tr></table>
</td></tr></table>";
} # fine if ($cambia_frasi)
elseif ($modello_esistente == "SI") {
for ($num_fr = 0 ; $num_fr < $num_frasi ; $num_fr++) echo "<input type=\"hidden\" name=\"".$fr_frase[$num_fr]."\" value=\"".str_replace("\"","&quot;",${$fr_frase[$num_fr]})."\">";
} # fine elseif ($modello_esistente == "SI")

echo "<br><center><input type=\"hidden\" name=\"modello_disponibilita\" value=\"SI\">
<input type=\"hidden\" name=\"form_ricaricata\" value=\"SI\">
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Crea il modello per la dispnibilità",$pag)."\">
</center></form>
<hr width=\"95%\"><center>
<form accept-charset=\"utf-8\" method=\"post\" action=\"crea_modelli.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"indietro\" value=\"".mex("Torna indietro",$pag)."\">
</form></center>";
} # fine if ($form_modello_disponibilita)



else {
$templates_dir = opendir("./includes/templates/");
while ($modello_ext = readdir($templates_dir)) {
if ($modello_ext != "." and $modello_ext != ".." and @is_dir("./includes/templates/$modello_ext")) {
include("./includes/templates/$modello_ext/name.php");
if (${"form_".$template_name}) {
$mostra_form_creazione = "NO";
include("./includes/templates/$modello_ext/form.php");
break;
} # fine if (${"form_".$template_name})
} # fine if ($modello_ext != "." and $modello_ext != ".." and...
} # fine while ($file = readdir($lang_dig))
closedir($templates_dir);
} # fine else if ($form_modello_disponibilita)



if ($cancella_modelli == "SI") {
$mod_presente = "NO";
if (@is_file("$percorso_cartella_modello/modello_disponibilita.php")) $mod_presente = "SI";
$lang_dir = opendir("./includes/lang/");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != "..") {
$nome_file = mex2("modello_disponibilita",$pag,$ini_lingua).".php";
if (@is_file("$percorso_cartella_modello/$nome_file")) $mod_presente = "SI";
} # fine if ($file != "." && $file != "..")
} # fine while ($file = readdir($lang_dir))
closedir($lang_dir);
if ($mod_presente != "SI") {
$templates_dir = opendir("./includes/templates/");
while ($modello_ext = readdir($templates_dir)) {
if ($modello_ext != "." && $modello_ext != ".." and @is_dir("./includes/templates/$modello_ext")) {
include("./includes/templates/$modello_ext/name.php");
if ($template_file_name["ita"]) $nome_file = $template_file_name["ita"];
else $nome_file = "ita_".$template_file_name["en"];
if (@is_file("$percorso_cartella_modello/$nome_file")) $mod_presente = "SI";
$lang_dir = opendir("./includes/lang/");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != "..") {
if ($template_file_name[$ini_lingua]) $nome_file = $template_file_name[$ini_lingua];
else $nome_file = $ini_lingua."_".$template_file_name["en"];
if (@is_file("$percorso_cartella_modello/$nome_file")) $mod_presente = "SI";
} # fine if ($file != "." && $file != "..")
} # fine while ($file = readdir($lang_dir))
closedir($lang_dir);
} # fine if ($modello_ext != "." and $modello_ext != ".." and...
} # fine while ($file = readdir($lang_dig))
closedir($templates_dir);
} # fine if ($mod_presente != "SI")
if ($mod_presente == "SI") {
$mostra_form_creazione = "NO";
if (!$continua) {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"crea_modelli.php\">
".mex("Si è sicuri di voler <font color=\"red\"><b>cancellare</b></font> tutti i modelli creati nella directory",$pag)." \"$percorso_cartella_modello\"?<br>
<table><tr><td height=2></td></tr><tr><td>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"cancella_modelli\" value=\"SI\">
<input type=\"hidden\" name=\"continua\" value=\"SI\">
<input class=\"sbutton\" type=\"submit\" value=\"".mex("SI",$pag)."\">
</form></td><td>
<form accept-charset=\"utf-8\" method=\"post\" action=\"crea_modelli.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" value=\"".mex("NO",$pag)."\">
</form></tr></td></table>";
} # fine if (!$continua)
else {
if (@is_file("$percorso_cartella_modello/modello_disponibilita.php")) unlink("$percorso_cartella_modello/modello_disponibilita.php");
$lang_dir = opendir("./includes/lang/");
include("./dati/lingua.php");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != "..") {
$nome_file = mex2("modello_disponibilita",$pag,$ini_lingua).".php";
if (@is_file("$percorso_cartella_modello/$nome_file")) unlink("$percorso_cartella_modello/$nome_file");
} # fine if ($file != "." && $file != "..")
} # fine while ($file = readdir($lang_dig))
closedir($lang_dir);
$templates_dir = opendir("./includes/templates/");
while ($modello_ext = readdir($templates_dir)) {
if ($modello_ext != "." and $modello_ext != ".." and @is_dir("./includes/templates/$modello_ext")) {
include("./includes/templates/$modello_ext/name.php");
if ($template_file_name["ita"]) $nome_file = $template_file_name["ita"];
else $nome_file = "ita_".$template_file_name["en"];
if (@is_file("$percorso_cartella_modello/$nome_file")) unlink("$percorso_cartella_modello/$nome_file");
$lang_dir = opendir("./includes/lang/");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != "..") {
if ($template_file_name[$ini_lingua]) $nome_file = $template_file_name[$ini_lingua];
else $nome_file = $ini_lingua."_".$template_file_name["en"];
if (@is_file("$percorso_cartella_modello/$nome_file")) unlink("$percorso_cartella_modello/$nome_file");
} # fine if ($file != "." && $file != "..")
} # fine while ($file = readdir($lang_dir))
closedir($lang_dir);
} # fine if ($modello_ext != "." and $modello_ext != ".." and...
} # fine while ($file = readdir($lang_dig))
closedir($templates_dir);
esegui_query("delete from $tablepersonalizza where idpersonalizza = 'ultime_sel_crea_modelli' and idutente = '$id_utente'");
echo mex("Cancellati tutti i modelli",$pag).".<br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"crea_modelli.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" value=\"".mex("OK",$pag)."\">
</form>";
} # fine else if (!$continua)
} # fine if ($mod_presente == "SI")
} # fine if ($cancella_modelli == "SI")



if ($mostra_form_creazione != "NO") {

echo "<center><font size=+2>".mex("Crea modelli per internet",$pag).".</font></center>";

echo "<br><center>".mex("Dati comuni",$pag)."</center><br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"crea_modelli.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"radio\" name=\"fonte_dati_conn\" value=\"attuali\" checked> ".mex("Utilizza i dati attuali per la connessione al database",$pag)."<br>";
if (C_BACKUP_E_MODELLI_CON_NUOVI_DATI != "NO") {
echo "<input type=\"radio\" name=\"fonte_dati_conn\" value=\"nuovi\"> ".mex("Utilizza altri dati per la connessione al database",$pag).":<br>
<table><tr><td width=\"25\"></td><td>
".mex("Tipo di database",$pag).": 
<select name=\"T_PHPR_DB_TYPE\">
<option value=\"postgresql\" selected>".mex("Postgresql",$pag)."</option>
<option value=\"mysql\">".mex("Mysql",$pag)."</option>
</select><br>
".mex("Nome del database da utilizzare",$pag).": 
<input type=\"text\" name=\"T_PHPR_DB_NAME\"><br>
".mex("Nome del computer a cui collegarsi",$pag).":
<input type=\"text\" name=\"T_PHPR_DB_HOST\" value=\"localhost\"><br>
".mex("Numero della porta a cui collegarsi",$pag).": 
<input type=\"text\" name=\"T_PHPR_DB_PORT\" value=\"5432\">(".mex("Normalmete 5432 per Postgresql o 3306 per Mysql",$pag).")<br>
".mex("Nome per l'autenticazione al database",$pag).": 
<input type=\"text\" name=\"T_PHPR_DB_USER\"><br>
".mex("Parola segreta per l'autenticazione al database",$pag).": 
<input type=\"text\" name=\"T_PHPR_DB_PASS\"><br>
".mex("Caricare la libreria dinamica \"pgsql.so\" o \"mysql.so\"",$pag)."?
<select name=\"T_PHPR_LOAD_EXT\">
<option value=\"SI\">".mex("Si",$pag)."</option>
<option value=\"NO\" selected>".mex("No",$pag)."</option>
</select> <font size=\"-1\">(".mex("scegliere si se non viene caricata automaticamente da php",$pag).")</font><br>
".mex("Prefisso nel nome delle tabelle",$pag).":
<input type=\"text\" name=\"T_PHPR_TAB_PRE\" maxlength=\"8\" size=\"9\"><font size=\"-1\">
</td></tr></table>";
} # fine if (C_BACKUP_E_MODELLI_CON_NUOVI_DATI != "NO")

$ultime_selezioni = esegui_query("select * from $tablepersonalizza where idpersonalizza = 'ultime_sel_crea_modelli' and idutente = '$id_utente'");
if (numlin_query($ultime_selezioni) == 1) {
$ultime_selezioni = risul_query($ultime_selezioni,0,valpersonalizza);
$ultime_selezioni = explode(";;",$ultime_selezioni);
$anno_usel = $ultime_selezioni[0];
$lingua_usel = $ultime_selezioni[1];
$stile_soldi_usel = $ultime_selezioni[2];
$stile_data_usel = $ultime_selezioni[3];
$valuta_sing_usel = $ultime_selezioni[4];
$valuta_plur_usel = $ultime_selezioni[5];
} # fine if (numlin_query($ultime_selezioni) == 1)

echo "<br>".mex("Anno",$pag).": <select name=\"anno_modello\">";
$anni = esegui_query("select * from $tableanni order by idanni");
$num_anni = numlin_query($anni);
if ($anno_usel < $anno) $anno_usel = $anno;
for ($num1 = 0 ; $num1 < $num_anni ; $num1++) {
$anno_selezione = risul_query($anni,$num1,idanni);
if ((!$anno_usel and $anno_selezione == $anno) or $anno_selezione == $anno_usel) $selected = " selected";
else $selected = "";
echo "<option value=\"$anno_selezione\"$selected>$anno_selezione</option>";
} # fine for $num1
echo "</select><br><br>

".mex("Lingua",$pag).":
 <select name=\"lingua_modello\">
<option value=\"ita\">italiano</option>";
if (@is_file("$percorso_cartella_modello/modello_disponibilita.php")) $mod_presente = "SI";
else $mod_presente = "NO";
$lang_dir = opendir("./includes/lang/");
include("./dati/lingua.php");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != "..") {
$nome_lingua = file("./includes/lang/$ini_lingua/l_n");
$nome_lingua = togli_acapo($nome_lingua[0]);
if ((!$lingua_usel and $ini_lingua == $lingua[$id_utente]) or $ini_lingua == $lingua_usel) $selected = " selected";
else $selected = "";
echo "<option value=\"$ini_lingua\"$selected>$nome_lingua</option>";
$nome_file = mex2("modello_disponibilita",$pag,$ini_lingua).".php";
if (@is_file("$percorso_cartella_modello/$nome_file")) $mod_presente = "SI";
} # fine if ($file != "." && $file != "..")
} # fine while ($file = readdir($lang_dig))
closedir($lang_dir);
echo "</select>

<table border=0 cellspacing=0 cellpadding=0><tr>
<td align=\"center\">".mex("Formato di visualizzazione dei soldi",$pag).":</td>";
if (!$stile_soldi_usel) {
$stile_soldi = esegui_query("select * from $tablepersonalizza where idpersonalizza = 'stile_soldi' and idutente = '$id_utente'");
$stile_soldi = risul_query($stile_soldi,0,valpersonalizza);
} # fine if (!$stile_soldi_usel)
else $stile_soldi = $stile_soldi_usel;
if ($stile_soldi == "europa") $check_soldi_eu = " checked";
if ($stile_soldi == "usa") $check_soldi_usa = " checked";
echo "<td align=\"left\">
<input type=\"radio\" name=\"m_stile_soldi\" value=\"europa\"$check_soldi_eu>1.050.000,32<br>
<input type=\"radio\" name=\"m_stile_soldi\" value=\"usa\"$check_soldi_usa>1,050,000.32
</td></tr></table>

<table border=0 cellspacing=0 cellpadding=0><tr>
<td align=\"center\">".mex("Formato di visualizzazione delle date",$pag).":</td>";
if (!$stile_data_usel) {
$stile_data = esegui_query("select * from $tablepersonalizza where idpersonalizza = 'stile_data' and idutente = '$id_utente'");
$stile_data = risul_query($stile_data,0,valpersonalizza);
} # fine if (!$stile_data_usel)
else $stile_data = $stile_data_usel;
if ($stile_data == "europa") $check_data_eu = " checked";
if ($stile_data == "usa") $check_data_usa = " checked";
echo "<td align=\"left\">
<input type=\"radio\" name=\"m_stile_data\" value=\"europa\"$check_data_eu>27-08-2002<br>
<input type=\"radio\" name=\"m_stile_data\" value=\"usa\"$check_data_usa>08-27-2002
</td></tr></table>";

if ($anno_usel) {
if ($valuta_sing_usel) $val_s = $valuta_sing_usel;
else $val_s = $Euro;
if ($valuta_plur_usel) $val_p = $valuta_plur_usel;
else $val_p = $Euro;
} # fine if ($anno_usel)
else {
$val_s = $Euro;
$val_p = $Euro;
} # fine else if ($anno_usel)
echo "<table border=0 cellspacing=0 cellpadding=0><tr><td>
".mex("Nome della valuta al singolare",$pag).": <input type=\"text\" name=\"m_valuta_sing\" size=\"8\" value=\"$val_s\">
</td><td width=\"50\"></td><td>
".mex("Nome della valuta al plurale",$pag).": <input type=\"text\" name=\"m_valuta_plur\" size=\"8\" value=\"$val_p\"></td>
</tr></table><table><tr><td height=2></td></tr></table>

<input type=\"checkbox\" name=\"cambia_frasi\" value=\"SI\">".mex("Modifica le frasi predefinite",$pag)."<br>
<hr width=\"95%\"><center>
<input class=\"sbutton\" type=\"submit\" name=\"form_modello_disponibilita\" value=\"".mex("Modello per la dispnibilità",$pag)."\">
</center>";

$templates_dir = opendir("./includes/templates/");
while ($modello_ext = readdir($templates_dir)) {
if ($modello_ext != "." and $modello_ext != ".." and @is_dir("./includes/templates/$modello_ext")) {
include("./includes/templates/$modello_ext/name.php");
if ($template_name_show[$lingua_mex]) $nome_modello_ext = $template_name_show[$lingua_mex];
else $nome_modello_ext = $template_name_show["en"];
echo "<hr width=\"95%\"><center>
<input class=\"sbutton\" type=\"submit\" name=\"form_$template_name\" value=\"".$nome_modello_ext."\">
</center>";
} # fine if ($modello_ext != "." and $modello_ext != ".." and...
} # fine while ($file = readdir($lang_dig))
closedir($templates_dir);

echo "</form>";


if ($mod_presente != "SI") {
$templates_dir = opendir("./includes/templates/");
while ($modello_ext = readdir($templates_dir)) {
if ($modello_ext != "." and $modello_ext != ".." and @is_dir("./includes/templates/$modello_ext")) {
include("./includes/templates/$modello_ext/name.php");
if ($template_file_name["ita"]) $nome_file = $template_file_name["ita"];
else $nome_file = "ita_".$template_file_name["en"];
if (@is_file("$percorso_cartella_modello/$nome_file")) $mod_presente = "SI";
$lang_dir = opendir("./includes/lang/");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != "..") {
if ($template_file_name[$ini_lingua]) $nome_file = $template_file_name[$ini_lingua];
else $nome_file = $ini_lingua."_".$template_file_name["en"];
if (@is_file("$percorso_cartella_modello/$nome_file")) $mod_presente = "SI";
} # fine if ($file != "." && $file != "..")
} # fine while ($file = readdir($lang_dir))
closedir($lang_dir);
} # fine if ($modello_ext != "." and $modello_ext != ".." and...
} # fine while ($file = readdir($lang_dig))
closedir($templates_dir);
} # fine if ($mod_presente != "SI")
if ($mod_presente == "SI") {
echo "<hr width=\"95%\"><center>
<form accept-charset=\"utf-8\" method=\"post\" action=\"crea_modelli.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"cancella_modelli\" value=\"SI\">
<input class=\"sbutton\" type=\"submit\" name=\"canc_modell\" value=\"".mex("Cancella i modelli creati",$pag)."\">
</form></center>";
} # fine if ($mod_presente == "SI")


echo "<hr width=\"95%\"><center>
<form accept-charset=\"utf-8\" method=\"post\" action=\"personalizza.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"indietro\" value=\"".mex("Torna indietro",$pag)."\">
</form></center>";

} # fine if ($mostra_form_creazione != "NO")



if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/foot.php");
else include("./includes/foot.php");


} # fine if ($id_utente and $id_utente == 1)



?>